#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module RBT

module Cookbooks

class Aliases < Base # === RBT::Cookbooks::Aliases

  # =========================================================================== #
  # === menu
  # =========================================================================== #
  def menu(
      i = search_for_which_program?
    )
    if i.is_a? Array
      i.each {|entry| menu(entry) }
    else
      case i # case tag
      # ======================================================================= #
      # === ashower --show_all_abbreviations
      # ======================================================================= #
      when /^-?-?show(_|-)?abbreviations$/,
           /^-?-?show(_|-)?all(_|-)?abbreviations$/,
           'SHOW_ABBREVIATIONS' # ashower SHOW_ABBREVIATIONS
        show_all_abbreviations
        exit
      # ======================================================================= #
      # === ashower --all
      # ======================================================================= #
      when 'ALL',
           /^-?-?all$/ # Careful - 0install will match towards this, hence the leading '^'.
        show_all_available_entries
        exit
      # ======================================================================= #
      # === ashower --show_all
      # ======================================================================= #
      when /-?-?show(_|-)?all/,'SHOW_ALL' # ashower SHOW_ALL
        show_all_matches # Show all matches.
      # ======================================================================= #
      # === ashower --n_entries
      # ======================================================================= #
      when /^-?-?n(_|-)?entries$/,
           /^-?-?n(_|-)?entries$/
        report_n_entries
        exit
      # ======================================================================= #
      # === ashower --help
      # ======================================================================= #
      when 'HELP',
           /^-?-?help$/ # <- Otherwise we would match towards "devhelp".
        show_help :then_exit
      end
    end
  end

end; end; end