#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/copy_directory.rb'
# =========================================================================== #
require 'fileutils'

module RBT

class Base # === RBT::Base

  # ========================================================================= #
  # === copy_directory
  #
  # This method can be used to copy a directory from a certain location
  # to the specified (second argument) target directory.
  # ========================================================================= #
  def copy_directory(
      from,
      to         = return_pwd,
      be_verbose = false
    )
    case to
    when :be_verbose
      to = return_pwd
      be_verbose = true
    end
    case be_verbose
    when :be_verbose
      be_verbose = true
    end
    if be_verbose
      e "Now copying the directory `#{sdir(from)}` to `#{sdir(to)}`."
    end
    FileUtils.cp_r(from, to)
  end

end; end