#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/editor.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/editor.rb'

module RBT

class Base

  # ========================================================================= #
  # === open_in_editor
  #
  # This will open a cookbook .yml file in the editor.
  # ========================================================================= #
  def open_in_editor(i)
    if i.is_a? Array
      i.each {|entry| open_in_editor(entry) }
    else
      i = i.to_s.dup
      unless i.end_with? '.yml'
        i << '.yml'
      end
      if is_on_roebe?
        # =================================================================== #
        # On my home system.
        # =================================================================== #
        i.prepend "#{RUBY_SRC_DIR_RBT_YAML}individual_cookbooks/"
      else
        i.prepend individual_cookbooks_dir?
      end
      esystem "#{editor?} #{i}"
    end
  end

  # ========================================================================= #
  # === editor?
  # ========================================================================= #
  def editor?
    RBT.editor?
  end

end; end