#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/exit_program.rb'
# =========================================================================== #
module RBT

class Base # === RBT::Base

  # ========================================================================= #
  # === exit_program                                               (exit tag)
  #
  # This is a wrapper to exit, that is, to exit a program. Either we
  # just exit; or we return the special symbol :break
  # ========================================================================= #
  def exit_program(
      symbol_exit            = :standalone,
      optional_message       = nil,
      use_this_as_exit_value = 0
    )
    e optional_message if optional_message
    if symbol_exit.to_s =~ /\d+/ # If we give a number, assume this as exit code.
       use_this_as_exit_value = symbol_exit.to_i
    end
    case symbol_exit
    when :connected,
         :chained,
         :continue
      return :break # i.e. when you run it from a shell. Return the Symbol :break.
    when :standalone, # <- Added because I like to read the symbol :standalone.
         :may_we_exit,
         :default,
         'default',
         'def',
         true
      exit(use_this_as_exit_value)
    else # this is the default, just like with :standalone too
      exit(use_this_as_exit_value)
    end
  end

end; end