#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/initialize.rb'
# =========================================================================== #
require 'rbt/base/run.rb'

module RBT

class Base

  # ========================================================================= #
  # === set_input
  # ========================================================================= #
  def set_input(i)
    @input = i
  end

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = nil,
      run_already = true
    )
    reset
    set_input(
      i
    )
    # ======================================================================= #
    # Next handle blocks given.
    # ======================================================================= #
    if block_given?
      yielded = yield
      case yielded
      when :no_colours
        disable_colours
      else
        # =================================================================== #
        # === Handle Hash given in blockform
        # =================================================================== #
        if yielded.is_a? Hash
          if yielded.has_key? :use_colours
            _ = yielded.delete :use_colours
            if _ == false
              disable_colours
            end
          end
        end
      end
    end
    run if run_already
  end

end; end