#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/opn.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/opn.rb'
require 'rbt/base/constants.rb'

module RBT

class Base

  # ========================================================================= #
  # === use_opn?
  # ========================================================================= #
  def use_opn?
    @use_opn
  end; alias show_opnn? use_opn? # === show_opnn?

  # ========================================================================= #
  # === opnn                                                       (opnn tag)
  #
  # The abbreviation "opn" stands for "output program name". This also
  # describes the major functionality of this method - we will try to
  # display the name of the program that generates a particular output,
  # so that the user can understand which component may have went wrong.
  # ========================================================================= #
  def opnn(
      i = @namespace,
      &block
    )
    if @use_opn
      if i.is_a? String
        i = {
          namespace:   i,
          use_colours: use_colours?
        }
      end
      RBT.opnn(i, &block) # <- Let that method handle this.
    end
  end; alias output_namespace? opnn # === output_namespace?

  # ========================================================================= #
  # === return_opnn
  # ========================================================================= #
  def return_opnn(
      i = nil
    )
    hash = { namespace: @namespace, be_verbose: false }
    if i
      if i.is_a? String
        i = { namespace: i }
      end
      hash.update(i)
    end
    opnn(hash)
  end

  # ========================================================================= #
  # === no_opn
  # ========================================================================= #
  def no_opn
    @use_opn = false
  end; alias disable_opn no_opn # === disable_opn

  # ========================================================================= #
  # === set_use_opn
  # ========================================================================= #
  def set_use_opn(i)
    @use_opn = i
  end

  # ========================================================================= #
  # === use_opn=
  # ========================================================================= #
  def use_opn=(i = true)
    @use_opn = i
  end

end; end