#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/base/remove_file.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/remove_file.rb'

module RBT

class Base # === RBT::Base

  # ========================================================================= #
  # === remove_file                                              (remove tag)
  #
  # Use this method whenever you wish to remove a file.
  #
  # The first input argument to this method shall be the file that we wish
  # to remove. This means the "file path", so the path to the file has to
  # be provided, such as "/opt/foobar.md". An Array can also be given,
  # which will lead to batch-removal of the given files at hand.
  #
  # The second input argument to this method, called `report_the_action`,
  # determines whether we will be verbose or whether we will not be
  # verbose. Verbose here means that we will notify the user what we
  # are doing or about to do; not verbose means that we will be
  # silent when we remove the target file.
  # ========================================================================= #
  def remove_file(
      i, report_the_action = false
    )
    if i.is_a? Array
      i.each {|entry| remove_file(entry, report_the_action) }
    else
      RBT.remove_file(i, report_the_action)
    end
  end; alias delete_file        remove_file # === delete_file
       alias delete             remove_file # === delete_file
       alias remove_files       remove_file # === remove_files
       alias remove_these_files remove_file # === remove_these_files

end; end