#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/colours/colours.rb'
# =========================================================================== #
require 'rbt/colours/simp.rb'
require 'rbt/colours/sdir.rb'
require 'rbt/colours/sfancy.rb'
require 'rbt/colours/sfile.rb'
require 'rbt/colours/swarn.rb'
require 'rbt/colours/determine_the_toplevel_use_colours_variable.rb'
require 'rbt/colours/use_colours.rb' # <- This file pulls in the "colours" gem.
require 'rbt/toplevel_methods/e.rb'
require 'rbt/colours/permanently_disable_colours.rb'

module RBT

  # ========================================================================= #
  # === COLOURS
  # ========================================================================= #
  COLOURS = ::Colours

  # ========================================================================= #
  # === RBT.konsole_available?
  #
  # We simply determine whether the Colours "namespace" is available.
  # ========================================================================= #
  def self.konsole_available?
    Object.const_defined? :Colours
  end

  # ========================================================================= #
  # === bold_green
  # ========================================================================= #
  def bold_green(i)
    if RBT.use_colours?
      "\e[1;32m"+i+"\e[0;37m"
    else
      i
    end
  end

  # ========================================================================= #
  # === bold_blue
  # ========================================================================= #
  def bold_blue(i)
    if RBT.use_colours?
      "\e[1;34m"+i+"\e[0;37m"
    else
      i
    end
  end

  # ========================================================================= #
  # === RBT.dodgerblue
  # ========================================================================= #
  def self.dodgerblue(i)
    return COLOURS.dodgerblue(i) if RBT.use_colours?
    i
  end

  # ========================================================================= #
  # === RBT.lightblue
  # ========================================================================= #
  def self.lightblue(i)
    return COLOURS.lightblue(i) if RBT.use_colours?
    i
  end

  # ========================================================================= #
  # === RBT.crimson
  # ========================================================================= #
  def self.crimson(i)
    return COLOURS.crimson(i) if RBT.use_colours?
    i
  end

  # ========================================================================= #
  # === RBT.turquoise
  # ========================================================================= #
  def self.turquoise(i)
    return COLOURS.turquoise(i) if RBT.use_colours?
    i
  end

  # ========================================================================= #
  # === RBT.violet
  # ========================================================================= #
  def self.violet(i = '')
    return COLOURS.violet(i) if RBT.use_colours?
    i
  end

  # ========================================================================= #
  # === RBT.lightsalmon
  # ========================================================================= #
  def self.lightsalmon(i = '')
    return COLOURS.lightsalmon(i) if RBT.use_colours?
    i
  end

  # ========================================================================= #
  # === RBT.royalblue
  # ========================================================================= #
  def self.royalblue(i = '')
    return COLOURS.royalblue(i) if RBT.use_colours?
    i
  end

  # ========================================================================= #
  # === RBT.gold
  # ========================================================================= #
  def self.gold(i = '')
    return COLOURS.gold(i) if RBT.use_colours?
    i
  end

  # ========================================================================= #
  # === RBT.orange
  # ========================================================================= #
  def self.orange(i = '')
    return COLOURS.orange(i) if RBT.use_colours?
    i
  end

end

if __FILE__ == $PROGRAM_NAME
  require 'colours/colours_e_autoinclude'
  e RBT.violet('Hello world!')
end