#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/colours/permanently_disable_colours.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/save_file.rb'
require 'rbt/configuration/configuration.rb'
require 'rbt/colours/sfile.rb'

module RBT

  # ========================================================================= #
  # === RBT.permanently_disable_colours
  #
  # This method can be used to permanently disable the colours for the
  # RBT project. This essentially just saves into the file
  # 'use_colours.yml'.
  #
  # To invoke this method from the commandline, try this command:
  #
  #   rbt --permanently-disable-colours
  #
  # ========================================================================= #
  def self.permanently_disable_colours
    into = RBT.file_use_colours?
    what = YAML.dump(false)
    message_for_the_user = 'Permanently disabling the colours for the '\
                           'RBT project.'
    opn; e message_for_the_user
    opn; e "(file: #{sfile(into)})"
    write_what_into(what, into)
    if is_on_roebe?
      into = "#{RUBY_SRC_DIR_AT_HOME}rbt/lib/rbt/yaml/configuration/"\
             "#{File.basename(FILE_USE_COLOURS)}"
      opn; e message_for_the_user
      opn; e "(file: #{sfile(into)})"
      write_what_into(what, into)
    end
  end

end