#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/compile/batch_compile_the_programs.rb'
# =========================================================================== #
module RBT

class Compile < RBT::CompileBase # === RBT::Compile

  # ========================================================================= #
  # === batch_compile_the_programs           (compile tag, main tag, run tag)
  #
  # This method is the general entry-point in order to batch-compile the
  # programs.
  #
  # The logic for this task will be handled internally on a per-program
  # basis.
  #
  # The argument to this method should be an Array which holds the
  # programs that we wish to compile. This is normally set elsewhere
  # in class RBT::Compile.
  # ========================================================================= #
  def batch_compile_the_programs(
      i = compile_these_programs?
    )
    i.each {|this_program|
      do_compile_this_program(this_program)
    }
  end; alias compile_every_program         batch_compile_the_programs # === compile_every_program
       alias do_compile_these_programs     batch_compile_the_programs # === do_compile_these_programs
       alias start_to_compile_the_programs batch_compile_the_programs # === start_to_compile_the_programs
       alias start_to_compile              batch_compile_the_programs # === start_to_compile

end; end