#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/compile/exit.rb'
# =========================================================================== #
module RBT

class Compile < RBT::CompileBase # === RBT::Compile

  # ========================================================================= #
  # === stop_at_make_stage
  # ========================================================================= #
  def stop_at_make_stage
    do_not_run_make_install
    do_exit_before_make
  end

  # ========================================================================= #
  # === stop_at_make_install_stage
  #
  # This method will allow us to exit once we reach the make install stage.
  # ========================================================================= #
  def stop_at_make_install_stage
    do_not_run_make_install
    do_exit_before_make_install
  end

  # ========================================================================= #
  # === do_exit_before_make
  # ========================================================================= #
  def do_exit_before_make
    @internal_hash[:exit_before_make] = true
  end

  # ========================================================================= #
  # === do_exit_before_make_install
  # ========================================================================= #
  def do_exit_before_make_install
    @internal_hash[:exit_before_make_install] = true
  end

  # ========================================================================= #
  # === exit_before_make_install?
  # ========================================================================= #
  def exit_before_make_install?
    @internal_hash[:exit_before_make_install]
  end

  # ========================================================================= #
  # === exit_before_make?
  # ========================================================================= #
  def exit_before_make?
    @internal_hash[:exit_before_make]
  end

end; end