#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/compile/games.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/games.rb'

module RBT

class Compile < RBT::CompileBase # === RBT::Compile

  # ========================================================================= #
  # === return_games_components
  #
  # This method will conveniently return the Array holding all programs
  # that belong to the KDE5 Application pool.
  # ========================================================================= #
  def return_games_components
    RBT.require 'rbt/toplevel_methods/games.rb'
  end; alias return_games return_games_components # === return_games

  # ========================================================================= #
  # === try_to_compile_this_game_component
  #
  # The input to this method should typically be a number, such as
  # 1 (or its String-variant "1").
  #
  # Invocation example from the commandline:
  #
  #   ry --game1
  #   ry --game4
  #  
  # ========================================================================= #
  def try_to_compile_this_game_component(
      i = 1
    )
    result = nil
    big_array = return_games_components
    big_array.flatten!
    if i.include? '..'
      splitted = i.split('..')
      first_number = splitted.first.to_i - 1
      last_number  = splitted.last.to_i - 1
      last_number  = (big_array.size - 1) if last_number > (big_array.size)
      result = big_array[first_number, last_number]
    else
      # ===================================================================== #
      # Prevent too high numbers next:
      # ===================================================================== #
      i = i.to_i # <- We need Integers past this point.
      i = (big_array.size - 1) if i > (big_array.size - 1)
      result = big_array[i - 1] # Find the proper result
    end
    set_compile_these_programs(result) # And assign it for compilation purposes.
  end; alias try_to_compile_this_games_component try_to_compile_this_game_component # === try_to_compile_this_game_component 

end; end