#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/compile/gnome.rb'
# =========================================================================== #
module RBT

class Compile < RBT::CompileBase # === RBT::Compile

  # ========================================================================= #
  # === return_gnome_components
  #
  # This method will conveniently return the Array holding all programs
  # that belong to the Gnome stack.
  # ========================================================================= #
  def return_gnome_components
    array  = return_gnome1
    array << return_gnome2
    array << return_gnome3
    array << return_gnome4
    array << return_gnome5
    array.flatten!
    return array
  end; alias return_gnome return_gnome_components # === return_gnome

  # ========================================================================= #
  # === return_gnome1
  # ========================================================================= #
  def return_gnome1
    string = return_chained_programs['gnome1']
    array = string.split(',').map(&:strip)
    return array
  end

  # ========================================================================= #
  # === return_gnome2
  # ========================================================================= #
  def return_gnome2
    string = return_chained_programs['gnome2']
    array = string.split(',').map(&:strip)
    return array
  end

  # ========================================================================= #
  # === return_gnome3
  # ========================================================================= #
  def return_gnome3
    string = return_chained_programs['gnome3']
    array = string.split(',').map(&:strip)
    return array
  end

  # ========================================================================= #
  # === return_gnome4
  # ========================================================================= #
  def return_gnome4
    string = return_chained_programs['gnome4']
    array = string.split(',').map(&:strip)
    return array
  end

  # ========================================================================= #
  # === return_gnome5
  # ========================================================================= #
  def return_gnome5
    string = return_chained_programs['gnome5']
    array = string.split(',').map(&:strip)
    return array
  end

  # ========================================================================= #
  # === try_to_compile_this_gnome_component
  #
  # The input to this method should typically be a number, such as
  # 1 (or its String-variant "1").
  #
  # Invocation example from the commandline:
  #   ry --gnome1
  # ========================================================================= #
  def try_to_compile_this_gnome_component(
      i = 1
    )
    result = nil
    big_array = return_gnome_components
    big_array.flatten!
    if i.include? '..'
      splitted = i.split('..')
      first_number = splitted.first.to_i - 1
      last_number  = splitted.last.to_i - 1
      last_number  = (big_array.size - 1) if last_number > (big_array.size)
      result = big_array[first_number, last_number]
    else
      # ===================================================================== #
      # Prevent too high numbers next:
      # ===================================================================== #
      i = i.to_i # <- We need Integers past this point.
      i = (big_array.size - 1) if i > (big_array.size - 1)
      result = big_array[i - 1] # Find the proper result
    end
    set_compile_these_programs(result) # And assign it for compilation purposes.
  end; alias try_to_compile_this_gnome try_to_compile_this_gnome_component # === try_to_compile_this_gnome 

end; end