#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Code related to Gentoo and the RBT::Compile class is stored in this file
# here.
#
# Examples for ebuilds can be seen here:
#
#   https://devmanual.gentoo.org/eclass-reference/ebuild/index.html#lbAQ
#
# =========================================================================== #
# require 'rbt/compile/linux/gentoo.rb'
# =========================================================================== #
require 'rbt/utility_scripts/create_ebuild.rb'

module RBT

class Compile < RBT::CompileBase

  # ========================================================================= #
  # === create_ebuild_recipe
  #
  # Use this to create an ebuild file.
  #
  #This is done by the specialized class CreateBuild.
  #
  # If you want to test this method, do something such as this here:
  #
  #   ry htop ebuild
  #
  # ========================================================================= #
  def create_ebuild_recipe(
      dataset_to_use = cookbook_dataset?
    )
    RBT::Cookbooks::CreateEbuild.new(dataset_to_use)
  end

end; end