#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/compile/obtain.rb'
# =========================================================================== #
module RBT

class Compile < RBT::CompileBase

  # ========================================================================= #
  # === autoswitch_python?
  #
  # This query-method determines whether we will autoswitch the
  # python version or not.
  # ========================================================================= #
  def autoswitch_python?
    config?.autoswitch_python
  end

  # ========================================================================= #
  # === try_to_autofix?
  # ========================================================================= #
  def try_to_autofix?
    @internal_hash[:try_to_autofix]
  end; alias autofix?        try_to_autofix? # === autofix?
       alias use_autofixing? try_to_autofix? # === use_autofixing?

  # ========================================================================= #
  # === make_use_of_cookbook_aliases?
  # ========================================================================= #
  def make_use_of_cookbook_aliases?
    @internal_hash[:make_use_of_cookbook_aliases]
  end

  # ========================================================================= #
  # === try_to_recompile_upon_error?
  # ========================================================================= #
  def try_to_recompile_upon_error?
    @internal_hash[:try_to_recompile_upon_error]
  end

  # ========================================================================= #
  # === use_glib_schema?
  # ========================================================================= #
  def use_glib_schema?
    _ = cookbooks_dataset_use_glib_schema?
    unless @internal_hash[:symlink_glib_schema].nil? 
      _ = @internal_hash[:symlink_glib_schema]
    end
    _
  end

  # ========================================================================= #
  # === internal_hash?
  # ========================================================================= #
  def internal_hash?
    @internal_hash
  end; alias ihash?                       internal_hash? # === ihash?
       alias ihash                        internal_hash? # === ihash
       alias internal_hash                internal_hash? # === internal_hash
       alias return_default_internal_hash internal_hash? # === internal_hash

end; end