#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file stores run-related tasks and activities.
# =========================================================================== #
# require 'rbt/compile/run.rb'
# =========================================================================== #
require 'rbt/utility_scripts/to_current.rb'

module RBT

class Compile < RBT::CompileBase

  # ========================================================================= #
  # === run_configure_then_make_then_make_install
  # ========================================================================= #
  def run_configure_then_make_then_make_install
    # ======================================================================= #
    # (7) Run the "configure" command or its equivalent:
    # ======================================================================= #
    run_the_configure_command
    if run_make?
      # ===================================================================== #
      # (8) Run the "make" command or its equivalent:
      # ===================================================================== #
      run_make_command
      # ===================================================================== #
      # (9) Run the "make install" command or its equivalent:
      # ===================================================================== #
      run_make_install_command
    end
  end

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    # ======================================================================= #
    # We must always ensure that the log_directory exists.
    # ======================================================================= #
    ensure_that_the_log_directory_exists
    menu # <- Pass into the menu().
    # ======================================================================= #
    # After the menu() interface has been invoked, we can proceed to
    # compile every program.
    # ======================================================================= #
    batch_compile_the_programs
    # $stdout = @original_stdout if @original_stdout
    # ^^^ Have to re-think the above.
  end

end; end