#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/compile/sigint.rb'
# =========================================================================== #
module RBT

class Compile < RBT::CompileBase

  # ========================================================================= #
  # === register_sigint
  #
  # We have to register the siginterrupts, so as to gracefully handle
  # user-interrupts via Ctrl-C.
  # ========================================================================= #
  def register_sigint
    Signal.trap('SIGINT') {
      do_set_keep_extracted(:be_silent)
      do_not_run_ldconfig
      remove_compiling_is_in_progress
      opne 'Exiting now at once.'
      exit_program
    }
  end

end; end