#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/compile/warnings.rb'
# =========================================================================== #
module RBT

class Compile < RBT::CompileBase

  # ========================================================================= #
  # === warning_argument_was_not_found
  #
  # Call this method when an argument was not found.
  # ========================================================================= #
  def warning_argument_was_not_found(i)
    cliner {
      opnn
      ewarn "Attention: The argument `#{sfancy(i.to_s)}#{swarn('` was not found.')}" 
      opnn
      ewarn 'Have a look at the spelling. Should this argument exist?'
      opnn; e
      opnn
      ewarn 'If you are convinced that this may be a bug or a missing feature,'
      opnn
      ewarn 'feel free to report this to the lead developer(s).'
      opnn; e
      report_to_developers
    } # Finish here, so we display a nice coloured line still.
    stop_on_error
  end

end; end