#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/compile/yaml.rb'
# =========================================================================== #
module RBT

class Compile < RBT::CompileBase # === RBT::Compile

  # ========================================================================= #
  # === load_yaml_dataset_for_this_program
  #
  # The first argument to this method should be the program that you wish
  # to compile/install, as a String, such as "php" or "ruby" or something
  # like that.
  #
  # Keep in mind that this method will return an unsanitized description
  # of the target program at hand.
  # ========================================================================= #
  def load_yaml_dataset_for_this_program(
      i, optional_arguments = nil
    )
    dataset = RBT::Cookbooks::Cookbook.new(i) { :bypass_menu_check }
    return dataset # Return the cookbook here.
  end; alias update_dataset                                          load_yaml_dataset_for_this_program # === update_dataset
       alias ensure_that_we_have_a_dataset                           load_yaml_dataset_for_this_program # === ensure_that_we_have_a_dataset
       alias ensure_that_the_default_dataset_exists_for_this_program load_yaml_dataset_for_this_program # === ensure_that_the_default_dataset_exists_for_this_program
       alias ensure_dataset_for_this_program                         load_yaml_dataset_for_this_program # === ensure_dataset_for_this_program
       alias ensure_proper_dataset_for                               load_yaml_dataset_for_this_program # === ensure_proper_dataset_for
       alias ensure_that_a_dataset_exists_for_this_program           load_yaml_dataset_for_this_program # === ensure_that_a_dataset_exists_for_this_program
       alias ensure_that_the_dataset_exists_for_this_program         load_yaml_dataset_for_this_program # === ensure_that_the_dataset_exists_for_this_program
       alias ensure_proper_dataset                                   load_yaml_dataset_for_this_program # === ensure_proper_dataset

  # ========================================================================= #
  # === edit_the_yaml_file_via_the_main_editor
  #
  # Invocation example:
  #   rbt --edit-file=nano
  # ========================================================================= #
  def edit_the_yaml_file_via_the_main_editor(
      this_yaml_file = compile_which_program?
    )
    this_yaml_file = this_yaml_file.to_s.dup
    this_yaml_file = 'nano' if this_yaml_file.empty?
    _ = nil
    _ = ENV['EDITOR'].to_s.dup+' ' if ENV['EDITOR']
    # ======================================================================= #
    # Overrule on my home system.
    # ======================================================================= #
    if is_on_roebe? or _.nil?
      _ = editor?+' '
    end
    unless File.exist? this_yaml_file
      unless this_yaml_file.include? '/'
        this_yaml_file = return_location_to_this_programs_yaml_file(this_yaml_file)
      end
    end
    if File.exist? this_yaml_file
      _ << this_yaml_file
    else
      _ << find_this_yaml_file(this_yaml_file)
    end
    esystem _
  end; alias edit_this_yaml_file_via_the_main_editor edit_the_yaml_file_via_the_main_editor # === edit_this_yaml_file_via_the_main_editor

end; end