#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# Constants that are essentially archive-extensions can be kept here in
# this file.
# =========================================================================== #
# require 'rbt/constants/archive_types.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === TAR_XZ
  #
  # Several archive types are kept here.
  # ========================================================================= #
  TAR_XZ  = '.tar.xz'
    TARXZ = TAR_XZ # === TARXZ

  # ========================================================================= #
  # === TAR_BZ2
  # ========================================================================= #
  TAR_BZ2 = '.tar.bz2'
    TARBZ2 = TAR_BZ2 # === TARBZ2

  # ========================================================================= #
  # === TAR_GZ
  # ========================================================================= #
  TAR_GZ  = '.tar.gz'
    TARGZ = TAR_GZ # === TARGZ

  # ========================================================================= #
  # === RBT::ZIP
  # ========================================================================= #
  ZIP     = '.zip'

  # ========================================================================= #
  # === RBT::DEFAULT_ARCHIVE_TYPE
  #
  # This constant may be required so that other classes know which is
  # the default archive. This can then be used to, for example, repackage
  # archives into this format.
  # ========================================================================= #
  DEFAULT_ARCHIVE_TYPE = TAR_XZ # Default is .tar.xz for now.

  # ========================================================================= #
  # === GEM
  # ========================================================================= #
  GEM   = '.gem'

  # ========================================================================= #
  # === LZ
  # ========================================================================= #
  LZ    = '.lz'

  # ========================================================================= #
  # === ARRAY_REGISTERED_ARCHIVES
  #
  # Keep these archive formats registered in this Array.
  # ========================================================================= #
  ARRAY_REGISTERED_ARCHIVES = [
    TAR_XZ,
    TAR_BZ2,
    TAR_GZ,
    ZIP,
    GEM,
    LZ
  ]

end