#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/constants/utility_scripts.rb'
# ========================================================================== #
require 'rbt/project/project_base_and_yaml_directory.rb'
require 'rbt/namespace/namespace.rb'
begin
  require 'class_docu_shower'
rescue LoadError; end

module RBT

  # ========================================================================= #
  # === RBT.utility_scripts?
  #
  # This method will return the path to our utility_scripts/ directory.
  # This is the directory where all utility scripts are stored.
  # ========================================================================= #
  def self.utility_scripts?
    "#{RBT.project_base_directory?}utility_scripts/"
  end; self.instance_eval { alias utility_directory  utility_scripts? } # === RBT.utility_directory
       self.instance_eval { alias utility_directory? utility_scripts? } # === RBT.utility_directory?

  # ========================================================================= #
  # === utility_scripts
  # ========================================================================= #
  def utility_scripts?
    RBT.utility_scripts?
  end

  # ========================================================================= #
  # === RBT.show_overview_over_available_utility_scripts
  #
  # This method will show all available utility scripts and provide an
  # overview over them.
  #
  # To trigger this method, do:
  #   cookbooks OVERVIEW
  #   cookbooks --show-available-utility-scripts
  # ========================================================================= #
  def self.show_overview_over_available_utility_scripts
    target = "#{utility_scripts?}*.rb"
    available_files = Dir[target]
    if Object.const_defined? :ClassDocuShower
      available_files.each {|file|
        cliner
        ClassDocuShower[file] # Delegate towards ClassDocuShower here.
      }
    else
      opn(namespace: RBT::NAMESPACE[:namespace])
      e 'The class ClassDocuShower is not available.'
      e
      opn(namespace: RBT::NAMESPACE[:namespace])
      e 'It can be installed via:'
      e
      opn(namespace: RBT::NAMESPACE[:namespace])
      e '  gem install class_docu_shower'
      e
    end
  end; self.instance_eval { alias show_utility_scripts show_overview_over_available_utility_scripts } # === RBT.show_utility_scripts 

end