#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/cookbooks/class/class_methods/class_methods.rb'
# =========================================================================== #
require 'rbt/base/base.rb'
require 'rbt/cookbooks/class/class_methods/opnn.rb'

module RBT

module Cookbooks

class Cookbook < RBT::Base

  # ========================================================================= #
  # === []
  # ========================================================================= #
  def self.[](i = '')
    self.new(i)
  end

  # ========================================================================= #
  # === Cookbooks::Cookbook.return_dataset
  #
  # This will return the whole dataset. You can then use this dataset
  # in other programs.
  #
  # Returns: a Hash
  #
  # Usage examples:
  #   htop_dataset = RBT::Cookbooks::Cookbook.return_dataset(:htop)
  #   ruby_dataset = RBT::Cookbooks::Cookbook.return_dataset(:ruby)
  # ========================================================================= #
  def self.return_dataset(of_this_program = :htop)
    dataset = RBT::Cookbooks::Cookbook.new(of_this_program) { :bypass_menu_check }.yaml_dataset?
    return dataset
  end

  # ========================================================================= #
  # === RBT::Cookbooks::Cookbook.does_include?
  # ========================================================================= #
  def self.does_include?(i)
    RBT.does_include?(i)
  end

end; end; end