#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'rbt/base/prototype.rb'

module RBT

module Cookbooks

class Cookbook < Base # === RBT::Cookbooks::Cookbook.new

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      commandline_arguments = nil,
      run_already           = true
    )
    reset
    # ======================================================================= #
    # Next handle blocks. This must happen before the invocation of the
    # method set_commandline_arguments() because we can thus also
    # bypass calling menu().
    # ======================================================================= #
    if block_given?
      yielded = yield
      # ===================================================================== #
      # For now, we will only check for Symbols in the given block.
      # ===================================================================== #
      if yielded.is_a? Symbol
        case yielded
        when :be_quiet_and_bypass_menu
          @use_menu_interface = false
          be_quiet 
        when :skip_menu_interface,
             :bypass_menu,
             :bypass_menu_check
          @use_menu_interface = false
        else
          opnn; e "Unknown symbol called #{sfancy(yielded.to_s)} passed." 
        end
      # ===================================================================== #
      # === Handle hashes next
      # ===================================================================== #
      elsif yielded.is_a? Hash
        if yielded.has_key? :use_menu_interface
          set_use_menu_interface(
            yielded.delete(:use_menu_interface)
          )
        end
        if yielded.has_key? :make_use_of_aliases_kept_in_the_file_cookbook_aliases
          _ = yielded.delete(:make_use_of_aliases_kept_in_the_file_cookbook_aliases)
          set_make_use_of_aliases_kept_in_the_file_cookbook_aliases(_)
        end
      end
    end
    if commandline_arguments
      case commandline_arguments
      when :do_not_run_yet
        run_already = false
        commandline_arguments = nil
      else
        set_commandline_arguments(
          commandline_arguments
        )
      end
    end
    run if run_already
  end

end; end; end