#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# All constants related to different encodings will be stored here.
# =========================================================================== #
# require 'rbt/encoding/encoding.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === ENCODING_ISO
  # ========================================================================= #
  ENCODING_ISO = 'ISO-8859-1'
    ISO_ENCODING = ENCODING_ISO

  # ========================================================================= #
  # === ENCODING_UTF
  # ========================================================================= #
  ENCODING_UTF = 'UTF-8'

  # ========================================================================= #
  # === USE_THIS_ENCODING
  #
  # Main pointer towards the main Encoding for the RBT project.
  # ========================================================================= #
  USE_THIS_ENCODING = ENCODING_UTF
    USE_MAIN_ENCODING = USE_THIS_ENCODING # === USE_MAIN_ENCODING

  # ========================================================================= #
  # === RBT.encoding?
  #
  # Query-method to ask which main encoding is in use for the Cookbooks
  # project.
  # ========================================================================= #
  def self.encoding?
    USE_THIS_ENCODING
  end; self.instance_eval { alias main_encoding? encoding? } # === RBT.main_encoding?

end