#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/infobox/display.rb'
# =========================================================================== #
module RBT

class Infobox < RBT::Base # === RBT::Infobox.new

  # ========================================================================= #
  # === display                                                 (display tag)
  # ========================================================================= #
  def display(
      a = 'Prefix',
      b = ''
    )
    if a.is_a?(String) and a.end_with?(':')
      a = a.dup if a.frozen?
      a.chop!
    end
    # ======================================================================= #
    # === Handle Arrays first
    # ======================================================================= #
    if b.is_a? Array
      b = b.dup # Need to work on a copy in this case.
      first_element = b.shift.ljust(45)+rev+return_vertical_bar_while_honouring_unicode
      if a.include? 'Required dependencies on'
        first_element = olivedrab(first_element)
      end
      b.map! {|entry|
        padded_entry = entry.ljust(44)
        if a.include? 'Required dependencies on'
          colourized_and_padded_entry = olivedrab(padded_entry)
        else
          colourized_and_padded_entry = default_colour(padded_entry)
        end
        rev+' '+return_vertical_bar_while_honouring_unicode+(' ' * 31)+
        return_vertical_bar_while_honouring_unicode+
        ' '+
        colourized_and_padded_entry+rev
      }
      # ===================================================================== #
      # Reformat these Arrays:
      # ===================================================================== #
      # The remaining elements have to be padded into the proper field.
      # ===================================================================== #
      b = ([first_element] + b).join(N)
    end
    if b.is_a?(String) and b.include?('$')
      b = convert_global_env(b)
    end
    # ======================================================================= #
    # First, define a default - which is slateblue as colour. Or rather
    # the colour returned via the method default_colour().
    # ======================================================================= #
    result = complete_left_padding_with_this_text(a)+
             default_colour(b.to_s.ljust(@n_just_to_the_right))+' '+
             return_vertical_bar_while_honouring_unicode
    if a.include? 'Prefix'
      result = complete_left_padding_with_this_text(a)+
               skyblue(b.to_s.ljust(@n_just_to_the_right))+' '+
               return_vertical_bar_while_honouring_unicode
    elsif a.include? 'Program path'
      result = complete_left_padding_with_this_text(a)+
               colourize_this_file_path(b.ljust(44))+' '+
               return_vertical_bar_while_honouring_unicode
    elsif a.include? 'this program'
      result = complete_left_padding_with_this_text(a)+
               lightsteelblue(b.ljust(@n_just_to_the_right))+' '+
               return_vertical_bar_while_honouring_unicode
    elsif a.include? 'Will be extracted towards'
      result = complete_left_padding_with_this_text(a)+
               mediumslateblue(b.ljust(@n_just_to_the_right))+' '+
               return_vertical_bar_while_honouring_unicode
    elsif a.include? 'CFLAGS in use'
      # ===================================================================== #
      # Next, two possibilities - colourize it, or do not colourize it.
      # ===================================================================== #
      if b.empty?
        result = complete_left_padding_with_this_text(a)+
                 crimson(b.ljust(@n_just_to_the_right))+' '+
                 return_vertical_bar_while_honouring_unicode
      else
        result = complete_left_padding_with_this_text(a)+
                 default_colour(b.ljust(@n_just_to_the_right))+' '+
                 return_vertical_bar_while_honouring_unicode
      end
    # ======================================================================= #
    # === Handle configure options next
    # ======================================================================= #
    elsif a.include? 'configure options'
      # ===================================================================== #
      # We have to wrap too long lines next:
      # ===================================================================== #
      if b.size > 78
        b = word_wrap(b, 44)
        # =================================================================== #
        # Must still make this prettier.
        # =================================================================== #
        b = b.split(N)
        first_line = b[0]; b[0] = nil; b.compact!
        first_line = first_line.ljust(45)
        first_line << return_vertical_bar_while_honouring_unicode
        b.map! {|entry|
          entry.prepend(' '+return_vertical_bar_while_honouring_unicode+
                       (' ' * 31)+return_vertical_bar_while_honouring_unicode+' '
                       )
          entry = entry.ljust(80)
          entry << return_vertical_bar_while_honouring_unicode
          entry
        }
        colourized_in_slateblue = slateblue(
          first_line+N+b.join(N)
        )
        result = complete_left_padding_with_this_text(a)+
                 colourized_in_slateblue.gsub(
                   /\|/, rev+return_vertical_bar_while_honouring_unicode+default_colour
                 )
      end
    end
    e result
  end

end; end