#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'libtool/class_methods/append_this_directory_to_the_list_of_directories_to_search_for.rb'
# =========================================================================== #
require 'rbt/base/base.rb'
require 'rbt/libtool/constants.rb'
require 'rbt/libtool/class_methods/colours.rb'
require 'rbt/libtool/class_methods/is_on_roebe.rb'

module RBT

class Libtool < Base

  # ========================================================================= #
  # === RBT::Libtool.e
  # ========================================================================= #
  def self.e(i = '')
    puts i
  end

  # ========================================================================= #
  # === RBT::Libtool.append_this_directory_to_the_list_of_directories_to_search_for
  #
  # This should be used on the commandline.
  #
  # It will permanently set to use a new directory to search for.
  # ========================================================================= #
  def self.append_this_directory_to_the_list_of_directories_to_search_for(
      i = ARGV
    )
    i = i.first if i.is_a? Array
    i = i.dup if i.frozen?
    i << '/' unless i.end_with? '/'
    target_file = FILE_SEARCH_IN_THESE_DIRECTORIES
    array_search_in_these_directories = YAML.load_file(target_file)
    # ======================================================================= #
    # Only add new entries.
    # ======================================================================= #
    if array_search_in_these_directories.include? i
      opn; e "Can not add #{Colours.sdir(i)} as it is already a part "\
             "of the search-directories."
    # ======================================================================= #
    # Add the new entry into our main yaml file.
    # ======================================================================= #
    else
      array_search_in_these_directories << i
      opn; e 'We will append the directory `'+Colours.sdir(i)+'` to the '\
             'list of directories'
      opn; e 'that we will search for incorrect .la files.'
      File.open(target_file, 'w+') { |file|
        file.write(YAML.dump(array_search_in_these_directories))
      }
      opn; e "Done! The new file can be found at `#{Colours.sfile(target_file)}`."
      if RBT.is_on_roebe?
        this_file = "#{RUBY_SRC_DIR}roebe/lib/roebe/yaml/"\
                    "#{File.basename(target_file)}"
        File.open(this_file, 'w+') { |file|
          file.write(YAML.dump(array_search_in_these_directories))
        }
        opn; e 'Done! The new file can be found at '+Colours.sfile(this_file)
      end
    end
  end

end; end

if __FILE__ == $PROGRAM_NAME
  RBT::Libtool.append_this_directory_to_the_list_of_directories_to_search_for(ARGV)
end # rb append* /lib