#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'rbt/libtool/class_methods/return_all_la_files_from_this_directory.rb'

module RBT

class Libtool

  # ========================================================================= #
  # === Libtool.obtain_all_la_files_from_usr_lib64
  #
  # Grab all .la files from the /usr/lib64/ directory.
  #
  # This is no longer in use a lot.
  # ========================================================================= #
  def self.obtain_all_la_files_from_usr_lib64
    Dir["#{ULIB64_LIBRARIES}*.la"].sort
  end

  # ========================================================================= #
  # === Libtool.obtain_all_la_files_from_usr_lib
  #
  # Grab all .la files from /usr/lib/.
  # ========================================================================= #
  def self.obtain_all_la_files_from_usr_lib
    Dir["#{ULIB_LIBRARIES}*.la"].sort
  end

  # ========================================================================= #
  # === Libtool.obtain_all_la_files_from_system_libraries
  #
  # Grab all .la files from /System/Index/lib/.
  # ========================================================================= #
  def self.obtain_all_la_files_from_system_libraries
    Dir["#{SYSTEM_LIBRARIES}*.la"].sort
  end

end; end