#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/libtool/constants.rb'
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

class Libtool < Base

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === FILE_SEARCH_IN_THESE_DIRECTORIES
  # ========================================================================= #
  FILE_SEARCH_IN_THESE_DIRECTORIES =
    "#{RBT.project_yaml_dir?}search_in_these_directories.yml"

  # ========================================================================= #
  # === ULIB_LIBRARIES
  # ========================================================================= #
  ULIB_LIBRARIES   = '/usr/lib/'

  # ========================================================================= #
  # === ULIB64_LIBRARIES
  # ========================================================================= #
  ULIB64_LIBRARIES = '/usr/lib64/'

  # ========================================================================= #
  # === SYSTEM_LIBRARIES
  #
  # In modern GoboLinux variants, this is pointing towards
  # /System/Index/lib.
  # ========================================================================= #
  SYSTEM_LIBRARIES = '/System/Index/lib/'

  # ========================================================================= #
  # === REGEX_TO_DISCOVER_PROGRAMS_ENTRIES_IN_DEPENDENCY_LIBS
  #
  # Rubular example at:
  #   http://rubular.com/r/E8jSpNAMcX
  # ========================================================================= #
  REGEX_TO_DISCOVER_PROGRAMS_ENTRIES_IN_DEPENDENCY_LIBS =
    /(.*\/Programs\/[A-Za-z]+\d*[a-z]*\/.+\d\/)/
    # /(\/Programs\/[A-Za-z]+\/.+\d\/)/
    # ^^^ This was the old regex.

end; end