#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
module RBT

class Libtool < Base

  # ========================================================================= #
  # === set_search_in_these_directories
  #
  # Note that the variable that is set here, called @search_in_these_directories,
  # will keep track of the directories that we will search for, by default.
  #
  # A directory must end with a trailing '/' character, which is ensured
  # here by this method too, if an Array is used as input.
  #
  # On my home system, the .yml file that is searched is at:
  #   bl $RSRC/libtool/lib/libtool/yaml/search_in_these_directories.yml
  # ========================================================================= #
  def set_search_in_these_directories(
      i = FILE_SEARCH_IN_THESE_DIRECTORIES
    )
    if i.end_with?('.yml')
      i = YAML.load_file(i)
    end if i.is_a? String
    # ======================================================================= #
    # Modify the Array by ensuring a trailing '/' is used.
    # ======================================================================= #
    if i.is_a? Array
      i.map! {|line|
        line << '/' unless line.end_with? '/'
        line
      }
    end
    @search_in_these_directories = i
  end

end; end