#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/make/menu.rb'
# =========================================================================== #
module RBT

class Make < RBT::CompileBase # === RBT::Make

  # ========================================================================= #
  # === menu                                                      (menu tag)
  # ========================================================================= #
  def menu(
      i = @commandline_arguments
    )
    if i.is_a? Array
      i.each {|entry| menu(entry) }
    else
      case i # case tag
      # ===================================================================== #
      # === rbt_make --ninja
      #
      # We require the two leading -- here, since as of May 2019. The
      # reason being that there is a program called "ninja", and we
      # wish to support installing this program, so we need to distinguish
      # between input that is "ninja" and "--ninja".
      # ===================================================================== #
      when /^--ninja$/
        do_use_ninja
        do_run_the_make_install_step_as_well  
      # ===================================================================== #
      # === rbt_make --porg
      # ===================================================================== #
      when /^--porg$/
        do_use_porg
        do_run_the_make_install_step_as_well
      # ===================================================================== #
      # === rbt_make --fast
      #
      # This entry point will make use of several cores, if the computer
      # has more than one core.
      # ===================================================================== #
      when /^-?-?fast$/
        e 'We will use "make -j 4".'
        set_use_this_command 'make -j 4'
      # ===================================================================== #
      # === rbt_make --show_help
      # ===================================================================== #
      when /-?-?help$/
        show_help
        exit
      # ===================================================================== #
      # === rbt_make --install
      # ===================================================================== #
      when /-?-?install/,
           /-?-?ins/,
           /-?-?i$/
        set_use_this_command 'make install'
      # ===================================================================== #
      # === rbt_make --make-install
      # ===================================================================== #
      when /^-?-?make(-|_)?install$/i,
           /^-?-?install$/i
        do_run_make_install
      end
    end
  end

end; end