#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/project/project_base_and_yaml_directory.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT::PROJECT_BASE_DIRECTORY
  # ========================================================================= #
  PROJECT_BASE_DIRECTORY = 
    File.absolute_path("#{__dir__}/..")+'/'

  # ========================================================================= #
  # === RBT::RBT_BASE_DIR
  # ========================================================================= #
  RBT_BASE_DIR = PROJECT_BASE_DIRECTORY

  # ========================================================================= #
  # === RBT::PROJECT_BASE_DIR
  # ========================================================================= #
  PROJECT_BASE_DIR = PROJECT_BASE_DIRECTORY

  # ========================================================================= #
  # === RBT::RUBY_RBT
  # ========================================================================= #
  RUBY_RBT = PROJECT_BASE_DIRECTORY

  # ========================================================================= #
  # === RBT.project_base_directory?
  #
  # This method will yield to us the base directory of the RBT project.
  #
  # For example, it will return a String such as:
  #
  #   /Programs/Ruby/2.6.0/lib/ruby/site_ruby/2.6.0/rbt/
  #
  # ========================================================================= #
  def self.project_base_directory?
    RBT::PROJECT_BASE_DIRECTORY
  end; self.instance_eval { alias project_base_dir? project_base_directory? } # === RBT.project_base_dir?
       self.instance_eval { alias project_dir?      project_base_directory? } # === RBT.project_dir?
       self.instance_eval { alias base_dir?         project_base_directory? } # === RBT.base_dir?
       self.instance_eval { alias base_directory?   project_base_directory? } # === RBT.base_directory?

  # ========================================================================= #
  # === RBT::PROJECT_YAML_DIRECTORY
  #
  # This constant specifies where our project-specific YAML files
  # are to be kept - the yaml base directory.
  #
  # There are several "aliases" to this constant here.
  #
  # This constant will store a path, as String, such as this one here:
  #
  #   /Programs/Ruby/2.5.1/lib/ruby/site_ruby/2.5.0/rbt/yaml/
  #
  # ========================================================================= #
  PROJECT_YAML_DIRECTORY = "#{RBT.project_base_dir?}yaml/"
    PROJECT_YAML_DIR = PROJECT_YAML_DIRECTORY # === PROJECT_YAML_DIR

  # ========================================================================= #
  # === RBT_YAML
  #
  # RBT_YAML is simply an alias to the above constant ^^^.
  # ========================================================================= #
  RBT_YAML = PROJECT_YAML_DIRECTORY

  # ========================================================================= #
  # === RBT_YAML_DIRECTORY
  # ========================================================================= #
  RBT_YAML_DIRECTORY = PROJECT_YAML_DIRECTORY

  # ========================================================================= #
  # === project_dir?
  # ========================================================================= #
  def project_dir?
    RBT.project_base_dirdir?
  end

  # ========================================================================= #
  # === RBT.project_yaml_dir?
  #
  # This is a query-method for the constant PROJECT_YAML_DIRECTORY.
  # ========================================================================= #
  def self.project_yaml_dir?
    RBT::PROJECT_YAML_DIRECTORY
  end; self.instance_eval { alias yaml_directory?           project_yaml_dir? } # === RBT.yaml_directory?
       self.instance_eval { alias project_yaml_directory?   project_yaml_dir? } # === RBT.project_yaml_directory?
       self.instance_eval { alias cookbooks_yaml_directory? project_yaml_dir? } # === RBT.cookbooks_yaml_directory?

  # ========================================================================= #
  # === rbt_yaml_directory?
  # ========================================================================= #
  def rbt_yaml_directory?
    self.project_yaml_directory?
  end; alias cookbooks_yaml_directory? rbt_yaml_directory? # === cookbooks_yaml_directory?

end

if __FILE__ == $PROGRAM_NAME
  puts RBT.project_base_dir?
  puts RBT.project_yaml_dir?
end