#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# First, require the ruby files that reside under the directory "project/",
# since these are the most important ones.
# =========================================================================== #
require 'rbt/requires/require_base_scripts.rb'
require 'rbt/constants/constants.rb' # This also pulls in file 'rbt/requires/require_constants.rb'.
require 'rbt/commandline/commandline_interface.rb'
require 'rbt/cookbooks/class/class.rb'
require 'rbt/aliases/aliases.rb'
require 'rbt/shell/shell.rb'
# require 'rbt/module_programs' # <- This would automatically pull in all.
require 'rbt/statistics/compile_strategies.rb'
require 'rbt/requires/require_yaml.rb'
# =========================================================================== #
# Require URL-actions next:
# =========================================================================== #
require 'rbt/url_action/url_action.rb'
# =========================================================================== #
# Require the toplevel_methods/*rb files next:
# =========================================================================== #
require 'rbt/requires/require_toplevel_methods.rb'
# =========================================================================== #
# Require the utility_scripts/*rb files next:
# =========================================================================== #
require 'rbt/requires/require_utility_scripts.rb'
# =========================================================================== #
# Require the validation/*rb files next:
# =========================================================================== #
require 'rbt/requires/require_validation_scripts.rb'
RBT.require_validation_scripts
# =========================================================================== #
# Require the gobolinux-specific .rb files next:
# =========================================================================== #
require 'rbt/linux/gobolinux/create_dependencies_file.rb'
require 'rbt/linux/gobolinux/create_recipe.rb'
require 'rbt/linux/gobolinux/gobolinux_naming_convention.rb'
require 'rbt/linux/slackware/create_slackware_package.rb'
# =========================================================================== #
# Pull in the .rb files under display_cookbook_dataset/.
# =========================================================================== #
require 'rbt/cookbooks/display_cookbook_dataset/display_cookbook_dataset.rb'
# =========================================================================== #
# We like to handle Encodings properly, so here goes.
# =========================================================================== #
require 'rbt/encoding/encoding.rb'
# =========================================================================== #
# Pull in the libtool-components next:
# =========================================================================== #
require 'rbt/requires/require_libtool.rb'
require 'rbt/homebrew/registered_programs_of_homebrew.rb'