#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file holds the menu-interface of class RBT::Compile::Shell.
# =========================================================================== #
# require 'rbt/shell/menu.rb'
# =========================================================================== #
module RBT

class Compile

class Shell < Base

  # ========================================================================= #
  # === menu                                                       (menu tag)
  # ========================================================================= #
  def menu(i)
    if i.is_a? Array
      i.each {|entry| menu(entry) }
    else
      case i # case tag, menu tag
      # ===================================================================== #
      # === compile-time?
      # ===================================================================== #
      when /compile(-|_)?time\??/,
           /show(-|_)?compile(-|_)?time/,
           '1',
           'stats?','stats' # <- This entry may be changed lateron when stats-functionality is added.
        show_compile_time
      # ===================================================================== #
      # === prefix?
      # ===================================================================== #
      when 'prefix?'
        query_the_prefix_in_use
      # ===================================================================== #
      # === use_this_prefix=/usr/local/
      # ===================================================================== #
      when /^use(-|_)?this(-|_)?prefix=(.+)/i,
           /^set(-|_)?prefix=(.+)/i
        _ = $2.to_s.dup
        _ = $3.to_s.dup if $3
        e 'Using this prefix: '+sfancy(_)
        set_use_this_prefix(_)
      # ===================================================================== #
      # === edit
      # ===================================================================== #
      when /edit/
        edit_this_file(@all_arguments)
      # ===================================================================== #
      # === remove_entry
      #
      # Use this entry point to remove something from the "database" of
      # compiled programs.
      #
      # Invocation example:
      #   remove_entry aclocal
      # ===================================================================== #
      when /remove_entry/
        if block_given?
          this_entry = yield
          remove_this_entry_from_the_database(this_entry)
        end
      # ===================================================================== #
      # === autocompile
      # ===================================================================== #
      when /^autocompile/,
           /^do(_|-)?autocompile/,
           '4'
        do_autocompile
      # ===================================================================== #
      # === last_update?
      # ===================================================================== #
      when /-?-?last(_|-)?update\??/,
           /show(_|-)?last(_|-)?update/
        show_last_update(f)
      # ===================================================================== #
      # === available?
      # ===================================================================== #
      when /^-?-?available\??/,
           /^-?-?show(_|-)?available(_|-)?programs/,
           '2',
           '?'
        show_available_programs
      # ===================================================================== #
      # === --help
      # ===================================================================== #
      when /-?-?help/,'h'
        show_help
      # ===================================================================== #
      # === q
      # ===================================================================== #
      when 'q'
        exit
      else
        do_compile_this_program(i) unless i.to_s.empty?
      end
    end
  end

end; end; end