#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/symlink_this_program/run.rb'
# =========================================================================== #
module RBT

class SymlinkThisProgram < Base # === RBT::SymlinkThisProgram

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    run_everything
  end

  # ========================================================================= #
  # === run_everything
  # ========================================================================= #
  def run_everything
    if @will_we_symlink
      determine_which_program_to_symlink
      # ===================================================================== #
      # We must next ensure that the -> Current symlink exists.
      # ===================================================================== #
      ensure_that_the_current_symlink_exists
      do_symlink_all_entries
      consider_removing_empty_directories
      # ===================================================================== #
      # Register into the yaml database, before symlinking pkgconfig
      # files.
      # ===================================================================== #
      do_register_into_yaml_database if @do_register_into_the_local_yaml_database
      consider_symlinking_headers # <- Should come before symlinking pkgconfig files
      consider_symlinking_pkgconfig_files # <- Should come before saving the name of the program into a local file.
      keep_track_which_program_was_last_symlinked
    end
  end

end; end