#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/symlink_this_program/setters.rb'
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

class SymlinkThisProgram < Base # === RBT::SymlinkThisProgram

  # ========================================================================= #
  # === set_symlink_this_program
  # ========================================================================= #
  def set_symlink_this_program(
      i = :default
    )
    case i
    when :default
      i = return_pwd
    else
      i = i.dup if i.frozen?
      i.downcase!
    end if i
    i = i.first if i.is_a? Array
    if i.is_a? String
      i = rds(i) # Get rid of double slashes, just in case.
    end
    @symlink_this_program = i
  end; alias set_name_of_the_program  set_symlink_this_program # === set_name_of_the_program
       alias set_use_this_program     set_symlink_this_program # === set_use_this_program

  # ========================================================================= #
  # === set_commandline_arguments
  # ========================================================================= #
  def set_commandline_arguments(i)
    i = [i].flatten.compact
    i = remove_and_store_commandline_arguments_from(i) # <- This also passes into menu().
    @commandline_arguments = i
  end

  # ========================================================================= #
  # === set_program_version
  # ========================================================================= #
  def set_program_version(i)
    @program_version = i
  end; alias set_version set_program_version # === set_version

  # ========================================================================= #
  # === set_full_path_to_the_target_program
  # ========================================================================= #
  def set_full_path_to_the_target_program(
      i = :default
    )
    case i
    when :default
      i = static_appdir_prefix_of?(name_of_the_program?, program_version?)
    else
      unless i.include? '/'
        i = static_appdir_prefix_of?(i, program_version?)
      end
    end
    @full_path_to_the_target_program = i
  end; alias set_prefix set_full_path_to_the_target_program # === set_prefix

end; end