#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/chmod.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.chmod                                                 (chmod tag)
  #
  # Use this method to chmod a file or a directory. It also works with
  # several files/directories passed in as Array.
  # ========================================================================= #
  def self.chmod(
      this_file,
      permission = 0755
    )
    if this_file.is_a? Array
      this_file.each { |file| chmod(file, permission) }
    else
      File.chmod(permission.to_i, this_file)
    end
  end

end