#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/chroot_compile.rb'
# =========================================================================== #
require 'rbt/compile/compile.rb'

module RBT

  # ========================================================================= #
  # === RBT.chroot_compile
  #
  # This method can be used to chroot-compile a given program, that is,
  # to compile it INTO the chroot.
  #
  # This is mostly a "hackish" method in that I needed it to quickly
  # compile programs into my main chroot, for when I build it up.
  # ========================================================================= #
  def self.chroot_compile(
      this_program = ARGV, use_this_as_prefix = '/Depot/Chroot/usr/'
    )
    RBT::Compile.new(this_program) {{
      use_this_as_prefix: use_this_as_prefix
    }}
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.chroot_compile(ARGV)
end # chroot_compile gettext