#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/configuration_directory.rb'
# =========================================================================== #
require 'rbt/project/project_base_and_yaml_directory.rb'

module RBT

  # ========================================================================= #
  # === @configuration_directory
  #
  # As of August 2018, there will be only one constant for the
  # configuration directory. If you need or want more flexibility
  # then consider using the top-level methods, such as
  # RBT.configuration_directory?().
  #
  # Several aliases are made available towards that method.
  # ========================================================================= #
  @configuration_directory = "#{RBT.project_yaml_directory?}configuration/"

  # ========================================================================= #
  # === RBT.configuration_directory?
  # ========================================================================= #
  def self.configuration_directory?
    @configuration_directory
  end; self.instance_eval { alias cookbooks_configuration_dir? configuration_directory? } # === RBT.cookbooks_configuration_dir?
       self.instance_eval { alias rbt_configuration_directory? configuration_directory? } # === RBT.rbt_configuration_directory?
       self.instance_eval { alias configuration_directory      configuration_directory? } # === RBT.configuration_directory
       self.instance_eval { alias config_dir?                  configuration_directory? } # === RBT.config_dir?
       self.instance_eval { alias configuration_yaml?          configuration_directory? } # === RBT.configuration_yaml?
       self.instance_eval { alias config_directory?            configuration_directory? } # === RBT.config_directory?

  # ========================================================================= #
  # === RBT.set_configuration_directory
  # ========================================================================= #
  def self.set_configuration_directory(i)
    @configuration_directory = i
  end

  # ========================================================================= #
  # === RBT.file_use_psych_or_syck
  # ========================================================================= #
  def self.file_use_psych_or_syck
    "#{@configuration_directory}use_psych_or_syck.yml"
  end

  # ========================================================================= #
  # === RBT.file_use_colours?
  #
  # This method will point to a path such as:
  #
  #   /Programs/Ruby/2.5.1/lib/ruby/site_ruby/2.5.0/rbt/yaml/configuration/use_colours.yml
  #
  # ========================================================================= #
  def self.file_use_colours?(
      use_this_directory = @configuration_directory
    )
    "#{use_this_directory}use_colours.yml"
  end; self.instance_eval { alias file_use_colours file_use_colours? } # === RBT.file_use_colours

end