#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/configure_appdir_prefix.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/return_pwd.rb'
require 'rbt/toplevel_methods/e.rb'
require 'rbt/toplevel_methods/programs_directory.rb'

module RBT

  begin
    require 'program_information'
  rescue LoadError; end

  # ========================================================================= #
  # === RBT.configure_appdir_prefix
  #
  # This method will return the AppDir prefix, based on the given input,
  # which defaults to the current working directory.
  # ========================================================================= #
  def self.configure_appdir_prefix(
      i = return_pwd
    )
    i = i.first if i.is_a? Array
    if i.nil? or i.empty?
      i = return_pwd
    end
    target = File.basename(i)
    _ = './configure --prefix='+
        programs_dir?+
        ProgramInformation.return_name(target).capitalize+'/'+
        ProgramInformation.return_version(target)+
        '/'
    e _
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.configure_appdir_prefix(ARGV)
end # configure_appdir_prefix
    # configure_appdir_prefix htop-1.2.3