#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/configure_has_a_higher_priority_than_meson.rb'
# =========================================================================== #
require 'rbt/constants/file_and_directory_constants.rb'

module RBT

  # ========================================================================= #
  # === RBT.configure_has_a_higher_priority_than_meson?
  #
  # This method will return true if "configure" has a higher priority
  # than "meson". A yaml file keeps track of these priorities.
  # ========================================================================= #
  def self.configure_has_a_higher_priority_than_meson?
    array = YAML.load_file(FILE_BUILD_SYSTEMS_PRIORITIES)
    array.index('configure') < array.index('meson')
  end

end

if __FILE__ == $PROGRAM_NAME
  puts RBT.configure_has_a_higher_priority_than_meson?  
end