#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# ========================================================================== #
# require 'rbt/toplevel_methods/copy_recursively.rb'
# ========================================================================== #
require 'fileutils'

module RBT

  # ======================================================================== #
  # === RBT.copy_recursively
  #
  # We can use a call to system(), or the pure ruby version, in order to
  # recursively copy files. But you may not enough information if the
  # pure ruby version is used.
  # ======================================================================== #
  def self.copy_recursively(
      what,
      where_to   = '/usr/',
      be_verbose = false
    )
    if what.is_a? String
      what << '.' unless what.end_with? '.'
    end
    begin
      FileUtils.cp_r(what, where_to, :verbose => be_verbose)
    rescue Exception => error
      pp error
    end
  end

end