#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/create_log_directory.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/create_directory.rb'
require 'rbt/toplevel_methods/log_directory.rb'
require 'rbt/toplevel_methods/opn.rb'
require 'rbt/colours/sdir.rb'

module RBT

  # ========================================================================= #
  # === RBT.create_log_directory
  #
  # This method will create the log directory, e. g. "/tmp/rbt/" or
  # wherever else the user has set this directory to be at.
  # ========================================================================= #
  def self.create_log_directory
    _ = @log_directory
    unless File.directory? _
      opn; e "Creating the directory `#{sdir(_)}` now."
    else
      opn; e "Directory at `#{sdir(_)}` already exists."
    end
  end; self.instance_eval { alias create_log_dir create_log_directory } # === RBT.create_log_dir

end

if __FILE__ == $PROGRAM_NAME
  RBT.create_log_directory
end # rbt_create_log_directory