#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/create_programs_version_html_file.rb'
# =========================================================================== #
require 'rbt/version/version.rb'
require 'rbt/configuration/configuration.rb'
require 'rbt/toplevel_methods/e.rb'
require 'rbt/toplevel_methods/log_directory.rb'
require 'rbt/toplevel_methods/save_file.rb'
require 'rbt/toplevel_methods/time.rb'

module RBT

  # ========================================================================= #
  # === RBT.create_programs_version_html_file
  #
  # Commandline invocation example:
  #
  #   rbt --create_programs_version_html_file
  #
  # The default input file can be found at:
  #
  #   /Depot/Temp/rbt/CookbookDirectory/programs_version_url.txt
  #
  # ========================================================================= #
  def self.create_programs_version_html_file(
      use_this_file = "#{RBT.store_into_this_directory}programs_version.txt"
    )
    updated_when = "#{RBT.return_date} #{RBT.return_time}"
    # ======================================================================= #
    # Generate a .html file.
    # ======================================================================= #
    dataset = '<html><title>Programs of Cookbooks Version: '+RBT.version?+
              ' Last updated: '+updated_when+
              '</title><body>
              Last update: <b>'+updated_when+'</b><br>
              <pre style="font-size:1.2em">'+
              File.read(use_this_file)+'</pre></body></html>'
    # ======================================================================= #
    # Store that file next:
    # ======================================================================= #
    use_this_file = RBT.temp_directory?+'programs_version.html'
    opn; e "Generating a new file at `#{sfile(use_this_file)}`."
    RBT.write_what_into(
      dataset, use_this_file
    ) # Store it here.
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.create_programs_version_html_file
end