#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/debug.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/to_bool.rb'
require 'rbt/constants/file_and_directory_constants.rb'

module RBT

  # ========================================================================= #
  # === SHALL_WE_DEBUG
  #
  # Debug variable. The default value is false, meaning "we will not debug",
  # but this can be overruled via a yaml file.
  # ========================================================================= #
  if File.exist? FILE_DEBUG # Overrule if the debug-file exists.
    SHALL_WE_DEBUG = DEBUG = to_bool(YAML.load_file(FILE_DEBUG))
  else # default fallback.
    SHALL_WE_DEBUG = DEBUG = false
  end

  # ========================================================================= #
  # === RBT.debug?
  #
  # Easier query-method as to whether we will debug or whether we will not.
  # ========================================================================= #
  def self.debug?
    SHALL_WE_DEBUG
  end; self.instance_eval { alias shall_we_debug? debug? } # === RBT.shall_we_debug?

end