#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/depot_directory.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/convert_global_env.rb'

module RBT

  # ========================================================================= #
  # === @depot_directory
  # ========================================================================= #
  @depot_directory = nil

  # ========================================================================= #
  # === RBT.set_depot_directory
  # ========================================================================= #
  def self.set_depot_directory(
      i = '/Depot/'
    )
    i = i.dup if i.frozen?
    i = convert_global_env(i) if i.include? '$'
    # ======================================================================= #
    # If there is still at the least one '$' entry then this variable does
    # not exist. In this case, use a hardcoded entry instead.
    # ======================================================================= #
    i = '/Depot/' if i.include? '$' # <- See above for the explanation.
    i << '/' unless i.end_with? '/'
    i = i.dup if i.frozen? # <- Need to do so again, e. g. in a .cgi environment context.
    i.squeeze!('/')
    @depot_directory = i
  end

  # ========================================================================= #
  # Also set it at once, so that we have a proper start value.
  # ========================================================================= #
  RBT.set_depot_directory

  # ========================================================================= #
  # === RBT.depot_directory?
  # ========================================================================= #
  def self.depot_directory?
    @depot_directory
  end; self.instance_eval { alias depot_dir?             depot_directory? } # === RBT.depot_dir?
       self.instance_eval { alias return_depot_directory depot_directory? } # === RBT.return_depot_directory

end