#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# This file can be used to set an error message.
# =========================================================================== #
# require 'rbt/toplevel_methods/error_message.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === @error_message
  #
  # Errors that occurred can be registered in this method here.
  # ========================================================================= #
  @error_message = []

  # ========================================================================= #
  # === RBT.has_an_error_occurred?
  # ========================================================================= #
  def self.has_an_error_occurred?
    !@error_message.empty?
  end

  # ========================================================================= #
  # === RBT.error_message?
  # ========================================================================= #
  def self.error_message?
    @error_message
  end; self.instance_eval { alias error_messages? error_message? } # === RBT.error_messages?

  # ========================================================================= #
  # === RBT.append_error_message
  # ========================================================================= #
  def self.append_error_message(i)
    @error_message << i
  end

  # ========================================================================= #
  # === RBT.set_error_message
  #
  # Set to a new/different error message.
  # ========================================================================= #
  def self.set_error_message(i = nil)
    @error_message = [i].flatten.compact
  end

  # ========================================================================= #
  # === RBT.reset_error_message
  # ========================================================================= #
  def self.reset_error_message
    set_error_message # This will set to [] again.
  end; self.instance_eval { alias clear_errors reset_error_message } # === RBT.clear_errors

end