#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# The purpose of this file is mostly to collect game-specific toplevel
# methods into one file, so that this can also more easily be re-used
# from other projects.
# =========================================================================== #
# require 'rbt/toplevel_methods/games.rb'
# =========================================================================== #
require 'rbt/constants/chained_programs.rb'

module RBT

  # ========================================================================= #
  # === RBT.return_games_components
  #
  # Return, as Array, all registered games that are part of the RBT
  # project.
  #
  # Several aliases are available for this - see the aliases defined
  # below the method here.
  # ========================================================================= #
  def self.return_games_components
    result = RBT.return_chained_programs['games']
    if result.is_a? String
      result = result.split(',')
    end
    result.map!(&:strip)
    return result.sort
  end; self.instance_eval { alias return_games       return_games_components } # === RBT.return_games
       self.instance_eval { alias array_games        return_games_components } # === RBT.array_games
       self.instance_eval { alias all_games          return_games_components } # === RBT.all_games
       self.instance_eval { alias return_array_games return_games_components } # === RBT.return_array_games

end

if __FILE__ == $PROGRAM_NAME
  pp RBT.return_games_components
end # rb games.rb