#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/get_all_directories_from.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.get_all_directories_from
  #
  # This will return all directories.
  #
  # Invocation example:
  #   RBT.get_all_directories_from('/Users/x/SRC/')
  # ========================================================================= #
  def self.get_all_directories_from(
      here             = Dir.pwd,
      return_full_path = false
    )
    here << '/' unless here.end_with? '/'
    _ = Dir["#{here}*"]
    _.select! {|entry| File.directory?(entry) }
    result = _.map {|entry| "#{entry}/" }
    if return_full_path
      result.map! {|line| File.absolute_path(line) }
    end
    return result
  end; self.instance_eval { alias get_dir_listing       get_all_directories_from } # === RBT.get_dir_listing
       self.instance_eval { alias get_directory_listing get_all_directories_from } # === RBT.get_directory_listing
       self.instance_eval { alias get_directories_from  get_all_directories_from } # === RBT.get_directories_from

end