#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/get_all_files_from.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/rds.rb'

module RBT

  # ========================================================================= #
  # === RBT.get_all_files_from
  #
  # We will only obtain files through this method here.
  # ========================================================================= #
  def self.get_all_files_from(
      this_dir             = Dir.pwd,
      return_full_path     = true,
      include_hidden_files = false
    )
    this_dir = Dir.pwd if this_dir.nil?
    _ = this_dir.dup
    _ << '/*' unless _.end_with? '/*'
    _ = rds(_) # Make use of RBT:rds() here.
    _ = Dir[_].select {|entry| File.file?(entry) }
    return _
  end; self.instance_eval { alias get_files_from get_all_files_from } # === RBT.get_files_from

  # ========================================================================= #
  # === get_file_listing
  #
  # Get the file listing of a specific directory. Input will always become
  # a string. Use this method consistently when you want to get files from
  # a directory, for use in the RBT Project.
  #
  # Since September 2014 we will ONLY return real files.
  # ========================================================================= #
  def get_file_listing(a = Dir.pwd, b = true, c = false)
    RBT.get_all_files_from(a, b, c)
  end; alias get_all_files_from get_file_listing # === get_all_files_from
       alias get_files_from     get_file_listing # === get_files_from
       alias get_files          get_file_listing # === get_files

end