#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/handle_this_extract_related_user_input.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/download.rb'
require 'rbt/toplevel_methods/extract.rb'

module RBT

  # ========================================================================= #
  # === RBT.handle_this_extract_related_user_input
  #
  # This method will either extract the given user input, such as
  # "htop-2.2.tar.gz", or it may attempt to download the remote
  # dataset associated with a given program at hand.
  # ========================================================================= #
  def self.handle_this_extract_related_user_input(
      i
    )
    i = [i].flatten.compact.each {|user_input|
      if File.exist? user_input
        RBT.extract(user_input)
      else
        RBT.download(user_input.to_sym)
        possible_matches = Dir[user_input.to_s+'*']
        this_directory = possible_matches.select {|line|
          File.file?(line) and is_an_archive?(line)
        }.first
        RBT.extract(this_directory)
        exit
      end
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.handle_this_extract_related_user_input(ARGV)
end