#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/home_dir.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.home_dir?
  #
  # This should default towards /root or the user's home directory.
  #
  # For example, for the superuser on a system, this will expand into
  # "/root/".
  # ========================================================================= #
  def self.home_dir?
    ("#{ENV['HOME']}/").squeeze('/')
  end

  # ========================================================================== #
  # === USER_HOME_DIRECTORY
  #
  # This constant can also be used in order to determine the home directory.
  # ========================================================================== #
  USER_HOME_DIRECTORY = RBT.home_dir?

  # ========================================================================== #
  # === home_dir?
  # ========================================================================== #
  def home_dir?
    self.home_dir?
  end

end