#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/n_programs_available.rb'
# RBT.n_programs_in_total?
# =========================================================================== #
require 'rbt/toplevel_methods/available_programs.rb'
require 'rbt/toplevel_methods/e.rb'
require 'rbt/colours/simp.rb'

module RBT

  # ========================================================================= #
  # === RBT.n_programs_available?
  #
  # Determine how many programs are registered in the RBT project.
  # ========================================================================= #
  def self.n_programs_available?
    RBT.available_programs?.size
  end; self.instance_eval { alias n_programs_available   n_programs_available? } # === RBT.n_programs_available
       self.instance_eval { alias n_programs?            n_programs_available? } # === RBT.n_programs?
       self.instance_eval { alias n_registered_programs? n_programs_available? } # === RBT.n_registered_programs?
       self.instance_eval { alias registered_programs?   n_programs_available? } # === RBT.registered_programs?
       self.instance_eval { alias n_programs_in_total?   n_programs_available? } # === RBT.n_programs_in_total?

  # ========================================================================= #
  # === RBT.report_how_many_cookbook_entries_exist
  # ========================================================================= #
  def self.report_how_many_cookbook_entries_exist
    e "There are a total of #{sfancy(n_programs_available?)} registered "\
      "programs, as part of the rbt-project."
  end; self.instance_eval { alias report_how_many_programs_are_registered report_how_many_cookbook_entries_exist } # === RBT.report_how_many_programs_are_registered 

end

if __FILE__ == $PROGRAM_NAME
  puts RBT.n_programs_available?
  RBT.report_how_many_cookbook_entries_exist
end # rbt_n_programs_available