#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/opn.rb'
# =========================================================================== #
begin
  require 'opn'
rescue LoadError; end

require 'rbt/namespace/namespace.rb'

module RBT

  # ========================================================================= #
  # === @use_opn
  # ========================================================================= #
  @use_opn = true

  # ========================================================================= #
  # === RBT.use_opn?
  # ========================================================================= #
  def self.use_opn?
    @use_opn
  end

  # ========================================================================= #
  # === RBT.disable_opn
  # ========================================================================= #
  def self.disable_opn
    @use_opn = false
  end

  # ========================================================================= #
  # === RBT.enable_opn
  # ========================================================================= #
  def self.enable_opn
    @use_opn = true
  end

  # ========================================================================= #
  # === @n_padding_to_use_for_opn
  #
  # By default we will not pad at all.
  # ========================================================================= #
  @n_padding_to_use_for_opn = nil

  # ========================================================================= #
  # === RBT.n_padding_to_use_for_opn?
  # ========================================================================= #
  def self.n_padding_to_use_for_opn?
    @n_padding_to_use_for_opn
  end

  # ========================================================================= #
  # === RBT.opn                                           (opn tag, opnn tag)
  #
  # The argument to this method may be interpreted as a "namespace"
  # to be used.
  # ========================================================================= #
  def self.opn(
      i = NAMESPACE,
      &block
    )
    if @use_opn
      if i.is_a? String
        i.delete!('.') if i.include? '.'
        i = { namespace: i }
      end
      # ======================================================================= #
      # Support a little bit of padding:
      # ======================================================================= #
      if i.is_a?(Hash) and
         RBT.n_padding_to_use_for_opn?
        i.update(padding: @n_padding_to_use_for_opn)
      end
      Opn.opn(i, &block) # The NAMESPACE constant is already a Hash.
    end
  end; self.instance_eval { alias opnn opn } # === RBT.opnn

end