#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/packages_directory.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/convert_global_env.rb'

module RBT

  # ========================================================================= #
  # === @packages_directory
  # ========================================================================= #
  @packages_directory = nil

  # ========================================================================= #
  # === RBT.set_packages_directory
  # ========================================================================= #
  def self.set_packages_directory(
      i = '/Depot/Packages/'
    )
    i = i.dup if i.frozen?
    i = convert_global_env(i) if i.include? '$'
    # ======================================================================= #
    # If there is still at the least one '$' entry then this variable does
    # not exist. In this case, use a hardcoded entry instead.
    # ======================================================================= #
    i = '/Depot/Packages/' if i.include? '$' # <- See above for the explanation.
    i << '/' unless i.end_with? '/'
    i = i.dup if i.frozen? # <- Need to do so again, e. g. in a .cgi environment context.
    i.squeeze!('/')
    @packages_directory = i
  end

  # ========================================================================= #
  # Also set it at once, so that we have a proper start value.
  # ========================================================================= #
  RBT.set_packages_directory

  # ========================================================================= #
  # === RBT.packages_directory?
  # ========================================================================= #
  def self.packages_directory?
    @packages_directory
  end; self.instance_eval { alias packages_dir?             packages_directory? } # === RBT.packages_dir?
       self.instance_eval { alias return_packages_directory packages_directory? } # === RBT.return_packages_directory

end