#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/pkgconfig_directory.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/convert_global_env.rb'

module RBT

  # ========================================================================= #
  # === @pkgconfig_directory
  # ========================================================================= #
  @pkgconfig_directory = nil

  # ========================================================================= #
  # === RBT.set_pkgconfig_directory
  # ========================================================================= #
  def self.set_pkgconfig_directory(
      i = '/usr/lib/pkgconfig/'
    )
    i = i.dup if i.frozen?
    i = convert_global_env(i) if i.include? '$'
    # ======================================================================= #
    # If there is still at the least one '$' entry then this variable does
    # not exist. In this case, use a hardcoded entry instead.
    # ======================================================================= #
    i = '/usr/lib/pkgconfig/' if i.include? '$' # <- See above for the explanation.
    i << '/' unless i.end_with? '/'
    i = i.dup if i.frozen? # <- Need to do so again, e. g. in a .cgi environment context.
    i.squeeze!('/')
    @pkgconfig_directory = i
  end

  # ========================================================================= #
  # Also set it at once, so that we have a proper start value.
  # ========================================================================= #
  RBT.set_pkgconfig_directory

  # ========================================================================= #
  # === RBT.pkgconfig_directory
  # ========================================================================= #
  def self.pkgconfig_directory?
    @pkgconfig_directory
  end; self.instance_eval { alias pkgconfig_dir?             pkgconfig_directory? } # === RBT.pkgconfig_dir?
       self.instance_eval { alias pkgconfig_directory?       pkgconfig_directory? } # === RBT.pkgconfig_directory?
       self.instance_eval { alias return_pkgconfig_directory pkgconfig_directory? } # === RBT.return_pkgconfig_directory

end