#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/remove_archive_from_the_end.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.remove_archive_from_the_end
  #
  # This will remove the trailing archive type such as .tar.xz or .tar.gz
  # and so forth.
  # ========================================================================= #
  def self.remove_archive_from_the_end(i)
    i = i.dup if i.frozen?
    if    i.end_with? '.tar.gz'
      i.sub!(/\.tar\.gz$/,'')
    elsif i.end_with? '.tar.xz'
      i.sub!(/\.tar\.xz$/,'')
    elsif i.end_with? '.txz'
      i.sub!(/\.txz$/,'')
    elsif i.end_with? '.tar.bz2'
      i.sub!(/\.tar\.bz2$/,'')
    elsif i.end_with? '.tar'
      i.sub!(/\.tar$/,'')
    elsif i.end_with? '.jar'
      i.sub!(/\.jar$/,'')
    elsif i.end_with? '.phar'
      i.sub!(/\.phar$/,'')
    end
    return i
  end; self.instance_eval { alias remove_file_suffix remove_archive_from_the_end } # === RBT.remove_file_suffix

end

if __FILE__ == $PROGRAM_NAME
  puts RBT.remove_archive_from_the_end('foobar-1.2.3.tar.xz')  
end