#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/remove_file_extension.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.remove_file_extension
  #
  # This method will try to remove anything we declare to be an improper
  # file extension.
  #
  # The order is important here. That's why I start with download as gsub
  # (via a call to the method .remove_crap_at_url_end()), to get rid of
  # those pesky sourcefourge /download URLs.
  #
  # File.basename() may be easier to handle altogether though.
  # ========================================================================= #
  def self.remove_file_extension(i)
    i = File.basename(i)
    i = i.sub(/\.bz2$/, '').
          sub(/\.gz$/,  '').
          sub(/\.zip$/, '').
          sub(/\.xz$/,  '').
          sub(/\.Z$/,   '').
          sub(/\.tar$/, '').
          sub(/\.tgz$/, '').
          sub(/\.gem$/, '').
          sub(/\.yml$/, '').
          sub(/\.js$/,  '').
          sub(/-trunk/, '').# <- Also remove weird things like that.
          sub(/-source/,'') # <- and also this.
    return i # Last but not least, always return it.
  end

end

if __FILE__ == $PROGRAM_NAME
  puts RBT.remove_file_extension('glib-2.35.3.tar.xz') # => "glib-2.35.3"
end # rbt_remove_file_extension