#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/report_how_many_binaries_are_registered.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/all_binaries.rb'
require 'rbt/toplevel_methods/e.rb'
require 'rbt/toplevel_methods/opn.rb'
require 'rbt/colours/colours.rb'

module RBT

  # ========================================================================= #
  # === RBT.report_how_many_binaries_are_registered
  #
  # This method will report how many binaries are registered in total.
  #
  # Example output from this method:
  #
  #   RBT: There are 3849 registered binaries in all cookbook files.
  #
  # ========================================================================= #
  def self.report_how_many_binaries_are_registered
    n_binaries = RBT.all_binaries.keys.uniq.size
    opn; e "There are #{sfancy(n_binaries.to_s)} registered binaries in "\
           "all cookbook files."
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.report_how_many_binaries_are_registered
end # rbt_report_how_many_binaries_are_registered