#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/return_all_archives_from_this_directory.rb'
# RBT.return_all_archives_from_this_directory
# =========================================================================== #
require 'rbt/constants/archive_types.rb'

module RBT

  # ========================================================================= #
  # === RBT.return_all_archives_from_this_directory
  #
  # This method will return all archives from a given directory.
  # ========================================================================= #
  def self.return_all_archives_from_this_directory(i)
    i = i.first if i.is_a? Array
    i = i.dup if i.frozen?
    if File.directory? i
      i << '/' unless i.end_with? '/'
    end
    potential_matches = [] 
    ARRAY_REGISTERED_ARCHIVES.each {|file_format|
      potential_matches << Dir[i+'*'+file_format]
    }
    potential_matches.flatten.compact
  end

end

if __FILE__ == $PROGRAM_NAME
  pp RBT.return_all_archives_from_this_directory(ARGV)  
end # return_all_archives_from_this_directory /Users/x/SRC/fontconfig/