#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/return_base_directory_of_this_program.rb'
# =========================================================================== #
require 'rbt/cookbooks/class/cookbooks.rb'

module RBT

  # ========================================================================= #
  # === RBT.return_base_directory_of_this_program
  #
  # This method will return the base-directory for a given program,
  # such as "/Users/x/SRC/htop/" for the program htop.
  #
  # A String is returned from this method.
  # ========================================================================= #
  def self.return_base_directory_of_this_program(i)
    i = i.first if i.is_a? Array
    _ = RBT::Cookbooks::Cookbook.new(i) { :bypass_menu_check }
    _.base_dir?
  end

end

if __FILE__ == $PROGRAM_NAME
  puts RBT.return_base_directory_of_this_program(ARGV)
end # rbt_return_base_directory_of_this_program htop