#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'rbt/cookbooks/class/class.rb'

module RBT

  # ========================================================================= #
  # === RBT.return_binaries_of_this_program
  #
  # This method will return the binaries of a given program at hand.
  #
  # An Array will be returned which may look like this, for the program
  # called "ruby":
  #
  #   ["erb", "gem", "irb", "rake", "ri", "rdoc", "ruby"]
  #
  # ========================================================================= #
  def self.return_binaries_of_this_program(i)
    i = i.first if i.is_a? Array
    RBT::Cookbooks::Cookbook.new(i) { :bypass_menu_check }.binaries?
  end

end

if __FILE__ == $PROGRAM_NAME
  pp RBT.return_binaries_of_this_program(ARGV)
end # return_binaries_of_this_program ruby