#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/return_location_to_this_programs_yaml_file.rb'
# =========================================================================== #
require 'rbt/constants/standalone_constants.rb'
require 'rbt/toplevel_methods/cookbook_directory.rb'
require 'rbt/toplevel_methods/roebe.rb'

module RBT

  # ========================================================================= #
  # === RBT.return_location_to_this_programs_yaml_file
  #
  # Easier access-method to determine where the yaml file may be.
  #
  # Invocation example:
  #   RBT.return_location_to_this_programs_yaml_file 'ruby'
  # ========================================================================= #
  def self.return_location_to_this_programs_yaml_file(i)
    i = i.to_s unless i.is_a? String
    unless i.end_with? '.yml'
      i = i.dup if i.frozen?
      i << '.yml'
    end
    result = "#{individual_cookbooks_directory?}#{i}".dup
    if is_on_roebe?
      # ===================================================================== #
      # Hardcoded on my own system.
      # ===================================================================== #
      possible_target = "#{DIRECTORY_INDIVIDUAL_COOKBOOKS_AT_ROEBE_HOME}#{i}".dup
      if File.exist? possible_target
        result = possible_target
      end
    end
    return result
  end; self.instance_eval { alias return_location_of_this_yaml_file return_location_to_this_programs_yaml_file } # === RBT.return_location_of_this_yaml_file

end

if __FILE__ == $PROGRAM_NAME
  puts RBT.return_location_to_this_programs_yaml_file('htop')
end