#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/return_version_of_this_program.rb'
# =========================================================================== #
require 'rbt/cookbooks/class/class.rb'

module RBT

  # ========================================================================= #
  # === RBT.return_version_of_this_program
  #
  # Usage example:
  #   RBT.return_version_of_this_program 'htop'
  # ========================================================================= #
  def self.return_version_of_this_program(i = 'htop')
    if i.is_a? Array
      i = i.first
    end
    i = i.to_s # We have to work on Strings.
    if RBT::Cookbooks::Cookbook.does_include? i
      dataset = RBT::Cookbooks::Cookbook.new(i) { :bypass_menu }
      return dataset.program_version?
    else
      nil
    end
  end; self.instance_eval { alias return_version_of         return_version_of_this_program } # === Cookbooks.return_version_of
       self.instance_eval { alias return_program_version_of return_version_of_this_program } # === Cookbooks.return_program_version_of
       self.instance_eval { alias program_version           return_version_of_this_program } # === Cookbooks.program_version

end

if __FILE__ == $PROGRAM_NAME
  RBT.return_version_of_this_program(ARGV)
end # rbt_return_version_of_this_program hop