#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# The purpose of this file here is to simply report which tags are
# available for the individual cookbooks.
# =========================================================================== #
# require 'cookbooks/module_methods/show_available_tags.rb'
# =========================================================================== #
require 'rbt/requires/require_yaml.rb'
require 'rbt/constants/file_and_directory_constants.rb'
require 'rbt/toplevel_methods/opn.rb'
require 'rbt/toplevel_methods/e.rb'
require 'rbt/colours/simp.rb'

module RBT

  # ========================================================================= #
  # === RBT.show_available_tags
  # ========================================================================= #
  def self.show_available_tags(
      use_this_path  = :default,
      show_namespace = true
    )
    case use_this_path
    when :default
      use_this_path = RBT.file_allowed_tags # Refer to the file allowed_tags.yml.
    end
    case show_namespace
    when :do_not_report_the_namespace, :be_quiet
      show_namespace = false
    end
    opn if show_namespace
    e 'The following tags are registered (and thus available - '\
      'sorted alphabetically):'
    array = YAML.load_file(use_this_path)
    array.each {|entry|
      e "  #{simp(entry)}"
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.show_available_tags  
end # show_available_tags