#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/show_available_utility_scripts.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/e.rb'
require 'rbt/colours/colours.rb'
require 'rbt/constants/utility_scripts.rb'

module RBT

  # ========================================================================= #
  # === RBT.show_available_utility_scripts
  #
  # Simply show all available utility scripts.
  #
  # Invocation example from the commandline:
  #   cookbooks --show-available-scripts
  # ========================================================================= #
  def self.show_available_utility_scripts
    files = Dir["#{utility_scripts?}*.rb"].sort.map {|file|
      File.basename(file)
    }
    files = files - ['utility_scripts.rb']
    e; files.each_with_index {|file, index|
      index += 1
      e sfancy(index.to_s.rjust(4))+') '+simp(file)
    }; e
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.show_available_utility_scripts
end # show_available_utility_scripts