#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/stderr.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/e.rb'

module RBT

  # ========================================================================= #
  # === RBT.stderr
  #
  # By default, "puts" in ruby writes to STDOUT. We can use STDERR.puts to
  # send to the error-stream specifically.
  #
  # The best practice is to log debugging information, errors, warnings,
  # status and so forth to STDERR; actual program output should go towards
  # STDOUT.
  # ========================================================================= #
  def self.stderr(
      i = '', use_puts_or_print = :puts
    )
    if i.is_a? Array
      i = i.join
    end
    case use_puts_or_print
    when :puts
      $stderr.puts i
    when :print,
         :use_print
      $stderr.print i
    else
      e 'Unknown input at line 32 in the method RBT.stderr()'
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.stderr ARGV
end # ruby test.rb > stdout 2> stderr