#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/sysbin_directory.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/convert_global_env.rb'

module RBT

  # ========================================================================= #
  # === @sysbin_directory
  # ========================================================================= #
  @sysbin_directory = nil

  # ========================================================================= #
  # === RBT.set_sysbin_directory
  # ========================================================================= #
  def self.set_sysbin_directory(
      i = '/System/Index/bin/'
    )
    i = i.dup if i.frozen?
    i = convert_global_env(i) if i.include? '$'
    # ======================================================================= #
    # If there is still at the least one '$' entry then this variable does
    # not exist. In this case, use a hardcoded entry instead.
    # ======================================================================= #
    i = '/System/Index/bin/' if i.include? '$' # <- See above for the explanation.
    i << '/' unless i.end_with? '/'
    i = i.dup if i.frozen? # <- Need to do so again, e. g. in a .cgi environment context.
    i.squeeze!('/')
    @sysbin_directory = i
  end

  # ========================================================================= #
  # Also set it at once, so that we have a proper start value.
  # ========================================================================= #
  RBT.set_sysbin_directory

  # ========================================================================= #
  # === RBT.sysbin_directory?
  # ========================================================================= #
  def self.sysbin_directory?
    @sysbin_directory
  end; self.instance_eval { alias sysbin_dir?             sysbin_directory? } # === RBT.sysbin_dir?
       self.instance_eval { alias return_sysbin_directory sysbin_directory? } # === RBT.return_sysbin_directory

end