#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/sysetc_directory.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/convert_global_env.rb'

module RBT

  # ========================================================================= #
  # === @sysetc_directory
  # ========================================================================= #
  @sysetc_directory = nil

  # ========================================================================= #
  # === RBT.set_sysetc_directory
  # ========================================================================= #
  def self.set_sysetc_directory(
      i = '/System/Index/etc/'
    )
    i = i.dup if i.frozen?
    i = convert_global_env(i) if i.include? '$'
    # ======================================================================= #
    # If there is still at the least one '$' entry then this variable does
    # not exist. In this case, use a hardcoded entry instead.
    # ======================================================================= #
    i = '/System/Index/etc/' if i.include? '$' # <- See above for the explanation.
    i << '/' unless i.end_with? '/'
    i = i.dup if i.frozen? # <- Need to do so again, e. g. in a .cgi environment context.
    i.squeeze!('/')
    @sysetc_directory = i
  end

  # ========================================================================= #
  # Also set it at once, so that we have a proper start value.
  # ========================================================================= #
  RBT.set_sysetc_directory

  # ========================================================================= #
  # === RBT.sysetc_directory?
  # ========================================================================= #
  def self.sysetc_directory?
    @sysetc_directory
  end; self.instance_eval { alias sysetc_dir?             sysetc_directory? } # === RBT.sysetc_dir?
       self.instance_eval { alias return_sysetc_directory sysetc_directory? } # === RBT.return_sysetc_directory

end