#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/sysinclude_directory.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/convert_global_env.rb'

module RBT

  # ========================================================================= #
  # === @sysinclude_directory
  # ========================================================================= #
  @sysinclude_directory = nil

  # ========================================================================= #
  # === RBT.set_sysinclude_directory
  # ========================================================================= #
  def self.set_sysinclude_directory(
      i = '/System/Index/include/'
    )
    i = i.dup if i.frozen?
    i = convert_global_env(i) if i.include? '$'
    # ======================================================================= #
    # If there is still at the least one '$' entry then this variable does
    # not exist. In this case, use a hardcoded entry instead.
    # ======================================================================= #
    i = '/System/Index/include/' if i.include? '$' # <- See above for the explanation.
    i = i.dup if i.frozen? # <- Need to do so again, e. g. in a .cgi environment context.
    i << '/' unless i.end_with? '/'
    i.squeeze!('/')
    @sysinclude_directory = i
  end

  # ========================================================================= #
  # Also set it at once, so that we have a proper start value.
  # ========================================================================= #
  RBT.set_sysinclude_directory

  # ========================================================================= #
  # === RBT.sysinclude_directory?
  # ========================================================================= #
  def self.sysinclude_directory?
    @sysinclude_directory
  end; self.instance_eval { alias sysinclude_dir?             sysinclude_directory? } # === RBT.sysinclude_dir?
       self.instance_eval { alias return_sysinclude_directory sysinclude_directory? } # === RBT.return_sysinclude_directory

end