#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/syslib_directory.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/convert_global_env.rb'

module RBT

  # ========================================================================= #
  # === @syslib_directory
  # ========================================================================= #
  @syslib_directory = nil

  # ========================================================================= #
  # === RBT.set_syslib_directory
  # ========================================================================= #
  def self.set_syslib_directory(
      i = '/System/Index/lib/'
    )
    i = i.dup if i.frozen?
    i = convert_global_env(i) if i.include? '$'
    # ======================================================================= #
    # If there is still at the least one '$' entry then this variable does
    # not exist. In this case, use a hardcoded entry instead.
    # ======================================================================= #
    i = '/System/Index/lib/' if i.include? '$' # <- See above for the explanation.
    i << '/' unless i.end_with? '/'
    i = i.dup if i.frozen? # <- Need to do so again, e. g. in a .cgi environment context.
    i.squeeze!('/')
    @syslib_directory = i
  end

  # ========================================================================= #
  # Also set it at once, so that we have a proper start value.
  # ========================================================================= #
  RBT.set_syslib_directory

  # ========================================================================= #
  # === RBT.syslib_directory?
  # ========================================================================= #
  def self.syslib_directory?
    @syslib_directory
  end; self.instance_eval { alias syslib_dir?             syslib_directory? } # === RBT.syslib_dir?
       self.instance_eval { alias return_syslib_directory syslib_directory? } # === RBT.return_syslib_directory

end