#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/system_directory.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/convert_global_env.rb'

module RBT

  # ========================================================================= #
  # === @system_directory
  # ========================================================================= #
  @system_directory = nil

  # ========================================================================= #
  # === RBT.set_system_directory
  # ========================================================================= #
  def self.set_system_directory(
      i = '/System/'
    )
    i = i.dup if i.frozen?
    i = convert_global_env(i) if i.include? '$'
    # ======================================================================= #
    # If there is still at the least one '$' entry then this variable does
    # not exist. In this case, use a hardcoded entry instead.
    # ======================================================================= #
    i = '/System/' if i.include? '$' # <- See above for the explanation.
    i << '/' unless i.end_with? '/'
    i = i.dup if i.frozen? # <- Need to do so again, e. g. in a .cgi environment context.
    i.squeeze!('/')
    @system_directory = i
  end

  # ========================================================================= #
  # Also set it at once, so that we have a proper start value.
  # ========================================================================= #
  RBT.set_system_directory

  # ========================================================================= #
  # === RBT.system_directory?
  # ========================================================================= #
  def self.system_directory?
    @system_directory
  end; self.instance_eval { alias system_dir?             system_directory? } # === RBT.system_dir?
       self.instance_eval { alias return_system_directory system_directory? } # === RBT.return_system_directory

end