#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/system_share_directory.rb'
# =========================================================================== #
require 'rbt/toplevel_methods/convert_global_env.rb'

module RBT

  # ========================================================================= #
  # === @system_share_directory
  # ========================================================================= #
  @system_share_directory = nil

  # ========================================================================= #
  # === RBT.set_system_share_directory
  # ========================================================================= #
  def self.set_system_share_directory(
      i = '/System/Share/'
    )
    i = i.dup if i.frozen?
    i = convert_global_env(i) if i.include? '$'
    # ======================================================================= #
    # If there is still at the least one '$' entry then this variable does
    # not exist. In this case, use a hardcoded entry instead.
    # ======================================================================= #
    i = '/System/Share/' if i.include? '$' # <- See above for the explanation.
    i << '/' unless i.end_with? '/'
    i = i.dup if i.frozen? # <- Need to do so again, e. g. in a .cgi environment context.
    i.squeeze!('/')
    @system_share_directory = i
  end

  # ========================================================================= #
  # Also set it at once, so that we have a proper start value.
  # ========================================================================= #
  RBT.set_system_share_directory

  # ========================================================================= #
  # === RBT.system_share_directory?
  # ========================================================================= #
  def self.system_share_directory?
    @system_share_directory
  end; self.instance_eval { alias system_share_dir?             system_share_directory? } # === RBT.system_share_dir?
       self.instance_eval { alias sysshare_directory?           system_share_directory? } # === RBT.sysshare_directory?
       self.instance_eval { alias return_system_share_directory system_share_directory? } # === RBT.return_system_share_directory

end