#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/try_to_find_shortcut_for_a_chain_compiled_program.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.try_to_find_shortcut_for_a_chain_compiled_program
  #
  # Use this method if you wish to find a shortcut.
  # ========================================================================= #
  def self.try_to_find_shortcut_for_a_chain_compiled_program(
      i
    )
    i = i.to_s.delete('_') # Since as of Aug 2011, we will get rid of all '_' characters.
    i = case i # case tag
    when 'games','gam'
      'games'
    when 'protos','proto','xorgprotos','xorg1','x1','1'
      'xorg_protos'
    when 'utils','xorgutils','xorg2','x2','2'
      'xorg_utils'
    when 'libs','libraries','xorg3','xorglibraries','x3','3'
      'xorg_libraries'
    when 'data','xorg4','xorgdata','x4','4'
      'xorg_data'
    when 'apps','xorg5','xorgapps','x5','5'
      'xorg_apps'
    when 'fonts','xorg6','xorgfonts','x6','6'
      'xorg_fonts'
    when 'server','xorg7','xorgserver','x7','7'
      'xorg_server'
    when 'addons','ruby_addons','rubyaddons','raddons','raddon',
         'rub','r','rand','all','8'
      'ruby_addons'
    when 'python','mypython','pp','pyt','pyth','9'
      'my_python'
    when 'gnome','xorg10','10'
      'gnome5'
    when 'e','11','xorg11','e17'
      'e17'
    when 'audio_suite','audsuite'
      'aud_suite'
    when 'video_base','vidbase','vid_base',
         /video(_|-)?subsection/
      'vid_base'
    when 'kde','kde3','kde4','kd','default'
      'kde'
    else
      i # Else return the input unaltered.
    end
    return i
  end

end