#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/uchroot.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.uchroot_compile
  #
  # Compile via a /usr prefix to the main chroot.
  # ========================================================================= #
  def self.uchroot_compile(
      these_programs = ARGV
    )
    require 'rbt/compile/compile.rb'
    [these_programs].flatten.compact.each {|this_program|
      RBT::Compile.new(this_program) {{ use_this_prefix: '/Depot/Chroot/usr/' }}
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  RBT.uchroot_compile(ARGV)
end # uchroot nasm bison