#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/toplevel_methods/verbose_truth.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT.verbose_truth
  #
  # This "converts" the given appropriate input to a "Yes." or "No."
  # String.
  #
  # If you need a boolean variant, you can use the method RBT.to_bool().
  # ========================================================================= #
  def self.verbose_truth(
      i = 'true'
    )
    i = i.first if i.is_a? Array
    case i.to_s
    when 'true','t','j','ja','yes'
      i = 'Yes.'
    when 'false','f','no','n'
      i = 'No.'
    end
    i
  end
  
end

if __FILE__ == $PROGRAM_NAME
  RBT.verbose_truth(ARGV)  
end