#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'rbt/base/prototype.rb'

module RBT

class UrlAction < Base

  # ======================================================================= #
  # === ARRAY_ALLOWED_ACTIONS
  # ======================================================================= #
  ARRAY_ALLOWED_ACTIONS = %i(
    install query remove
  )

  # ======================================================================= #
  # === RBT::UrlAction.allowed_actions?
  #
  # Query which actions are allowed for class RBT::UrlActin.
  # ======================================================================= #
  def self.allowed_actions?
    ARRAY_ALLOWED_ACTIONS
  end

  # ======================================================================= #
  # === EXTRACT_TO
  #
  # Where to extract to. Will default to /Depot/Temp/ if
  # that ENV variable was not set.
  # ======================================================================= #
  if ENV['EXTRACT_TO']
    EXTRACT_TO = ENV['EXTRACT_TO'].to_s.dup+'/'
  else
    EXTRACT_TO = '/Depot/Temp/' # Default for most users, I guess.
  end

  # ======================================================================= #
  # === DEFAULT_COLOUR
  # ======================================================================= #
  DEFAULT_COLOUR = 'green'

end; end