#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::CompileIntoHomeDirWithoutSymlinking
#
# This will compile the given input at hand into the home dir of
# the user.
#
# Usage example:
#   RBT::CompileIntoHomeDirWithoutSymlinking.new
# =========================================================================== #
# require 'rbt/utility_scripts/compile_into_home_dir_without_symlinking.rb'
# =========================================================================== #
require 'rbt/base/base.rb'
require 'rbt/utility_scripts/compile_into_home_dir.rb'

module RBT

class CompileIntoHomeDirWithoutSymlinking < Base # === RBT::CompileIntoHomeDirWithoutSymlinking.new

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = ARGV,
      run_already = true
    )
    reset
    set_compile_these_programs(
      i
    )
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    @namespace = NAMESPACE
  end

  # ========================================================================= #
  # === set_compile_these_programs
  # ========================================================================= #
  def set_compile_these_programs(i)
    @compile_these_programs = [i].flatten.compact
  end

  # ========================================================================= #
  # === compile_which_programs?
  # ========================================================================= #
  def compile_which_programs?
    @compile_these_programs
  end; alias input? compile_which_programs? # === input?

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    # ======================================================================= #
    # Instantiate our compile-object next:
    # ======================================================================= #
    CompileIntoHomeDir.new(compile_which_programs?) { :without_symlinking }
  end

  # ========================================================================= #
  # === RBT::CompileIntoHomeDirWithoutSymlinking[]
  # ========================================================================= #
  def self.[](i = '')
    self.new(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  RBT::CompileIntoHomeDirWithoutSymlinking.new(ARGV)
end # compile_home_no_symlink sed