#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::Cookbooks::CreateBigYamlCookbook
#
# This class will create one huge .yaml file which holds all the various
# yaml datasets.
#
# Usage example:
#   RBT::Cookbooks::CreateBigYamlCookbook.new
# =========================================================================== #
# require 'rbt/cookbooks/misc/create_big_yaml_cookbook.rb'
# =========================================================================== #
require 'rbt/base/base.rb'
require 'rbt/cookbooks/class/class.rb'

module RBT

module Cookbooks

class CreateBigYamlCookbook < Base # === RBT::Cookbooks::CreateBigYamlCookbook.new

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === STORE_INTO_THIS_FILE
  # ========================================================================= #
  STORE_INTO_THIS_FILE =
    "#{RBT.rbt_log_directory?}big_yaml_cookbook.yml"

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = nil,
      run_already = true
    )
    reset
    set_input(i)
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    @namespace = NAMESPACE
    @hash = {} # This is the main Hash.
  end

  # ========================================================================= #
  # === set_input
  # ========================================================================= #
  def set_input(i = '')
    i = i.first if i.is_a? Array
    i = i.to_s.dup
    @input = i
  end

  # ========================================================================= #
  # === input?
  # ========================================================================= #
  def input?
    @input
  end

  # ========================================================================= #
  # === create_big_yaml_file
  # ========================================================================= #
  def create_big_yaml_file
    _ = available_programs?
    _.each {|program|
      opnn; e simp(program)
      hash = {}
      dataset = RBT::Cookbooks::Cookbook.return_array(program) { :bypass_menu }
      hash[program] = dataset
      @hash.update(hash)
    }
    what = YAML.dump(@hash)
    into = STORE_INTO_THIS_FILE
    write_what_into(what, into)
    opnn; e "Storing into `#{sfile(into)}`."
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    opnn; e 'Now creating a big yaml file. This will take some time.'
    create_big_yaml_file
  end

  # ========================================================================= #
  # === []
  # ========================================================================= #
  def self.[](i = '')
    self.new
  end

end; end; end

if __FILE__ == $PROGRAM_NAME
  RBT::Cookbooks::CreateBigYamlCookbook.new(ARGV)
end # big_yaml_cookbook