#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::CreatePackage
#
# This class can take an existing package such as /Programs/Gcc/9.1.0
# and create a tarball release from this directory.
#
# It can also automatically name this archive in a certain way,
# such as "gcc-6.3.1-64bit-glibc-2.3.2.tar.xz".
#
# Usage example:
#   RBT::CreatePackage.new
# =========================================================================== #
# require 'rbt/utility_scripts/create_package.rb'
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

class CreatePackage < Base # === RBT::CreatePackage.new

  begin
    require 'totarxz'
  rescue LoadError; end

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      commandline_arguments = nil,
      run_already           = true
    )
    reset
    set_commandline_arguments(
      commandline_arguments
    )
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    @namespace = NAMESPACE
  end

  # ========================================================================= #
  # === set_input
  # ========================================================================= #
  def set_commandline_arguments(i = '')
    i = [i].flatten.compact
    @commandline_arguments = i
  end

  # ========================================================================= #
  # === commandline_arguments?
  # ========================================================================= #
  def commandline_arguments?
    @commandline_arguments
  end

  # ========================================================================= #
  # === set_use_this_directory
  # ========================================================================= #
  def set_use_this_directory(i)
    @use_this_directory = i
  end

  # ========================================================================= #
  # === use_this_directory?
  # ========================================================================= #
  def use_this_directory?
    @use_this_directory
  end; alias main_dir? use_this_directory? # === main_dir?

  # ========================================================================= #
  # === return_guessed_name
  # ========================================================================= #
  def return_guessed_name(i = @use_this_directory)
    ProgramInformation.return_name(i)+
    '-'+
    ProgramInformation.return_version(i)
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    set_use_this_directory(@commandline_arguments.first)
    _ = main_dir?
    guessed_name = return_guessed_name(_)
pp guessed_name
pp guessed_name
pp guessed_name
    if File.directory? _
      opnn; e "Packaging `#{sdir(_)}`."
      ToTarXz.new(_)
    else
      opnn; e "#{sfancy(_)} is not a directory."
    end
  end

  # ========================================================================= #
  # === RBT::CreatePackage[]
  # ========================================================================= #
  def self.[](i = '')
    self.new(i)
  end

end; end

if __FILE__ == $PROGRAM_NAME
  RBT::CreatePackage.new(ARGV)
end # create_package /Programs/Gcc/9.1.0
    # create_package /Programs/Php/7.3.6