#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# === RBT::Cookbooks::Registered
#
# This class could be used as a base class for RegisteredBinaries and
# RegisteredLibraries.
# =========================================================================== #
# require 'rbt/utility_scripts/registered.rb'
# =========================================================================== #
require 'rbt/base/base.rb'

module RBT

module Cookbooks

class Registered < Base # === RBT::Cookbooks::Registered

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = inspect

  # ========================================================================= #
  # === SHOW_PROGRAM_NAME
  #
  # If true then we will show the program in question.
  # ========================================================================= #
  SHOW_PROGRAM_NAME = true

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      optional_args = ARGV
    )
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    super()
    @namespace = NAMESPACE
  end

  # ========================================================================= #
  # === set_this_program
  # ========================================================================= #
  def set_this_program(i)
    @this_program = i
  end

  # ========================================================================= #
  # === this_program?
  # ========================================================================= #
  def this_program?
    @this_program
  end; alias input? this_program? # === input?

  # ========================================================================= #
  # === ruby_src_dir?
  # ========================================================================= #
  def ruby_src_dir?
    RUBY_SRC_DIR_AT_HOME
  end

  # ========================================================================= #
  # === hash_to_be_stored?
  #
  # This is our main dataset.
  # ========================================================================= #
  def hash_to_be_stored?
    @hash_to_be_stored
  end; alias hash? hash_to_be_stored? # === hash?
       alias hash  hash_to_be_stored? # === hash

end; end; end

if __FILE__ == $PROGRAM_NAME
  RBT::Cookbooks::Registered.new(ARGV)
end