#!/System/Index/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'rbt/version/version.rb'
# =========================================================================== #
module RBT

  # ========================================================================= #
  # === RBT::VERSION
  #
  # Which version does RBT have. Query via: RBT::VERSION. PROGRAM_VERSION is
  # just an alias to it - stick to using VERSION instead "officially"
  # whenever possible.
  # ========================================================================= #
  VERSION = '0.6.165'
    RBT_VERSION_NUMBER = VERSION # === RBT_VERSION_NUMBER
    PROGRAM_VERSION    = VERSION # === PROGRAM_VERSION

  # ========================================================================= #
  # === RBT::URL_TO_THE_DOCUMENTATION
  # ========================================================================= #
  URL_TO_THE_DOCUMENTATION =
    "http://www.rubydoc.info/gems/rbt/#{VERSION}"

  # ========================================================================= #
  # === LAST_UPDATE
  #
  # This specifies when the RBT project was last updated. It should be
  # updated whenever the VERSION constant changes.
  # ========================================================================= #
  LAST_UPDATE = '29.06.2019' # <- Keep this constant in DD.MM.YYYY notation.

  # ========================================================================= #
  # === RBT.version?
  # ========================================================================= #
  def self.version?
    RBT::VERSION
  end; self.instance_eval { alias rbt_version  version? } # === RBT.rbt_version()
       self.instance_eval { alias rbt_version? version? } # === RBT.rbt_version?()

  # ========================================================================= #
  # === rbt_version?
  # ========================================================================= #
  def rbt_version?
    RBT.version?
  end

  # ========================================================================= #
  # === RBT.last_update?
  # ========================================================================= #
  def self.last_update?
    LAST_UPDATE
  end

end