# -*- encoding: utf-8 -*-
# stub: rbt 0.6.165 ruby lib

Gem::Specification.new do |s|
  s.name = "rbt".freeze
  s.version = "0.6.165"

  s.required_rubygems_version = Gem::Requirement.new(">= 3.0.3".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Robert A. Heiler".freeze]
  s.date = "2019-07-11"
  s.description = "\nThis gem is called RBT, which is an abbreviation for \"Ruby Build Tools\".\n\nEssentially, this project is a collection of different ruby scripts/classes\nthat may aid in the process of compiling or installing programs from source,\nbut also allow installation from binary, from a remote or from a local\nlocation (e. g. a file in a directory on the local harddisc/SSD).\n\nThere are presently 3605 registered\nprograms available in the RBT project.\n\nFor more information about the project, have a look at the documentation,\nwhich can be found at the bottom right side on the homepage of this\ngem ( or simply visit the following link: http://www.rubydoc.info/gems/rbt/ ) \n\n".freeze
  s.email = "shevegen@gmail.com".freeze
  s.executables = ["autoupdate_this_program".freeze, "binary_of".freeze, "blfs".freeze, "colour_make".freeze, "colour_make_install".freeze, "compile_these_programs".freeze, "compile_via_appdir_prefix_without_symlinking".freeze, "cookbooks".freeze, "create_new_cookbook".freeze, "create_program".freeze, "find_alternative_archive".freeze, "home_dir".freeze, "home_dir_without_symlinking".freeze, "homepage".freeze, "infobox".freeze, "ntrad".freeze, "parse_help".freeze, "rbt".freeze, "rbt_config".freeze, "rbt_download".freeze, "rbt_make".freeze, "rbt_test_alias".freeze, "remove_symlinks".freeze, "report_total_size_of_all_archives".freeze, "ruby_libtool".freeze, "scookie".freeze, "search_for_tags".freeze, "show_all_about".freeze, "show_configuration_options".freeze, "suggest_cookbook_for".freeze, "symlink_this_program".freeze, "to_current".freeze, "url_action".freeze]
  s.files = ["bin/autoupdate_this_program".freeze, "bin/binary_of".freeze, "bin/blfs".freeze, "bin/colour_make".freeze, "bin/colour_make_install".freeze, "bin/compile_these_programs".freeze, "bin/compile_via_appdir_prefix_without_symlinking".freeze, "bin/cookbooks".freeze, "bin/create_new_cookbook".freeze, "bin/create_program".freeze, "bin/find_alternative_archive".freeze, "bin/home_dir".freeze, "bin/home_dir_without_symlinking".freeze, "bin/homepage".freeze, "bin/infobox".freeze, "bin/ntrad".freeze, "bin/parse_help".freeze, "bin/rbt".freeze, "bin/rbt_config".freeze, "bin/rbt_download".freeze, "bin/rbt_make".freeze, "bin/rbt_test_alias".freeze, "bin/remove_symlinks".freeze, "bin/report_total_size_of_all_archives".freeze, "bin/ruby_libtool".freeze, "bin/scookie".freeze, "bin/search_for_tags".freeze, "bin/show_all_about".freeze, "bin/show_configuration_options".freeze, "bin/suggest_cookbook_for".freeze, "bin/symlink_this_program".freeze, "bin/to_current".freeze, "bin/url_action".freeze]
  s.homepage = "https://www.rubydoc.info/gems/rbt/".freeze
  s.licenses = ["GPL-2.0".freeze]
  s.post_install_message = "\n  With the RBT scripts, you should be able to install or compile\n  a program.\n    \n  Essentially, the syntax for this should be:\n\n      rbt htop\n      rbt htop ntrad\n\n  Or read the help options via:\n\n      rbt --help\n\n  The first thing you should do is to tweak the file configuration.yml\n  to your liking. You should set the configuration option source_dir\n  to the base directory where you wish to keep all your source\n  archives.\n\n  To get an overview over the available scripts that are part of\n  this project, issue the following command on the commandline:\n\n      rbt --show-available-utility-scripts\n\n  It is recommended to run the following command after having\n  installed the cookbooks gem, which will expand all the\n  various .yml files into their expanded, sanitized version:\n\n      rbt --expand \n\n  You can use this gem from the commandline by using \"scookie\".\n    \n  Examples:\n\n      scookie htop\n      scookie ruby\n      scookie php\n      scookie python\n\n  This should show information about these programs. Note that you need\n  the .yml files from the Cookbooks project for this - in order to\n  install these files, do install the cookbooks project:\n\n      gem install rbt # or\n      gem install rbt --user-install\n\n  You can also toggle this information to some limited extent. For instance,\n  you can do:\n\n      scookie htop --appdir\n\n  Which will use htop in an AppDir approach, with a standalone prefix.\n\n  To disable colours, try:\n\n      scookie htop --nocolours\n\n  For the documented help options, see:\n\n      scookie --help\n\n  If you wish to search for common tags, such as tag \"ruby\" or tag\n  \"php\", then try this:\n\n      search_for_tags ruby\n      search_for_tags php\n\n  This can be found in the subdirectory bin/search_for_tags of\n  this gem.\n\n  For more documentation, the official documentation, have a look at:\n\n      http://www.rubydoc.info/gems/rbt/0.6.165\n\n  If you encounter any bug or oddities, feel free to drop an email\n  to:\n\n      shevegen@gmail.com\n\n  (I do not check for mails daily, though, so this may take a \n  while to process - apologies for that.)\n\n  Thank you and have fun!\n\n".freeze
  s.required_ruby_version = Gem::Requirement.new(">= 2.6.3".freeze)
  s.rubygems_version = "3.0.3".freeze
  s.summary = "This gem is called RBT, which is an abbreviation for \"Ruby Build Tools\".  Essentially, this project is a collection of different ruby scripts/classes that may aid in the process of compiling or installing programs from source, but also allow installation from binary, from a remote or from a local location (e. g. a file in a directory on the local harddisc/SSD).  There are presently 3605 registered programs available in the RBT project.  For more information about the project, have a look at the documentation, which can be found at the bottom right side on the homepage of this gem ( or simply visit the following link: http://www.rubydoc.info/gems/rbt/ )".freeze

  s.installed_by_version = "3.0.3" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<colours>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<convert_global_env>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<generate_shell_completion>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<opn>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<program_information>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<repackage>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<symlink>.freeze, [">= 0"])
      s.add_runtime_dependency(%q<xorg_buffer>.freeze, [">= 0"])
    else
      s.add_dependency(%q<colours>.freeze, [">= 0"])
      s.add_dependency(%q<convert_global_env>.freeze, [">= 0"])
      s.add_dependency(%q<generate_shell_completion>.freeze, [">= 0"])
      s.add_dependency(%q<opn>.freeze, [">= 0"])
      s.add_dependency(%q<program_information>.freeze, [">= 0"])
      s.add_dependency(%q<repackage>.freeze, [">= 0"])
      s.add_dependency(%q<symlink>.freeze, [">= 0"])
      s.add_dependency(%q<xorg_buffer>.freeze, [">= 0"])
    end
  else
    s.add_dependency(%q<colours>.freeze, [">= 0"])
    s.add_dependency(%q<convert_global_env>.freeze, [">= 0"])
    s.add_dependency(%q<generate_shell_completion>.freeze, [">= 0"])
    s.add_dependency(%q<opn>.freeze, [">= 0"])
    s.add_dependency(%q<program_information>.freeze, [">= 0"])
    s.add_dependency(%q<repackage>.freeze, [">= 0"])
    s.add_dependency(%q<symlink>.freeze, [">= 0"])
    s.add_dependency(%q<xorg_buffer>.freeze, [">= 0"])
  end
end
